VULKAN_HPP_NAMESPACE::CommandBuffer Class Reference

`#include <vulkan.hpp>`

## Public Member Functions

VULKAN_HPP_CONSTEXPR | CommandBuffer ()
VULKAN_HPP_CONSTEXPR | CommandBuffer (std::nullptr_t)
VULKAN_HPP_TYPESAFE_EXPLICIT | CommandBuffer (VkCommandBuffer commandBuffer)
CommandBuffer & | operator= (std::nullptr_t)
bool | operator== (CommandBuffer const &rhs) const
bool | operator!= (CommandBuffer const &rhs) const
bool | operator< (CommandBuffer const &rhs) const
template<typename Dispatch = DispatchLoaderStatic>
Result | begin (const CommandBufferBeginInfo *pBeginInfo, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
ResultValueType< void >::type | begin (const CommandBufferBeginInfo &beginInfo, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
ResultValueType< void >::type | end (Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
ResultValueType< void >::type | reset (CommandBufferResetFlags flags, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | bindPipeline (PipelineBindPoint pipelineBindPoint, Pipeline pipeline, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | setViewport (uint32_t firstViewport, uint32_t viewportCount, const Viewport *pViewports, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | setViewport (uint32_t firstViewport, ArrayProxy< const Viewport > viewports, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | setScissor (uint32_t firstScissor, uint32_t scissorCount, const Rect2D *pScissors, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | setScissor (uint32_t firstScissor, ArrayProxy< const Rect2D > scissors, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | setLineWidth (float lineWidth, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | setDepthBias (float depthBiasConstantFactor, float depthBiasClamp, float depthBiasSlopeFactor, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | setBlendConstants (const float blendConstants[4], Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | setDepthBounds (float minDepthBounds, float maxDepthBounds, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | setStencilCompareMask (StencilFaceFlags faceMask, uint32_t compareMask, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | setStencilWriteMask (StencilFaceFlags faceMask, uint32_t writeMask, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | setStencilReference (StencilFaceFlags faceMask, uint32_t reference, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | bindDescriptorSets (PipelineBindPoint pipelineBindPoint, PipelineLayout layout, uint32_t firstSet, uint32_t descriptorSetCount, const DescriptorSet *pDescriptorSets, uint32_t dynamicOffsetCount, const uint32_t *pDynamicOffsets, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | bindDescriptorSets (PipelineBindPoint pipelineBindPoint, PipelineLayout layout, uint32_t firstSet, ArrayProxy< const DescriptorSet > descriptorSets, ArrayProxy< const uint32_t > dynamicOffsets, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | bindIndexBuffer (Buffer buffer, DeviceSize offset, IndexType indexType, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | bindVertexBuffers (uint32_t firstBinding, uint32_t bindingCount, const Buffer *pBuffers, const DeviceSize *pOffsets, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | bindVertexBuffers (uint32_t firstBinding, ArrayProxy< const Buffer > buffers, ArrayProxy< const DeviceSize > offsets, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | draw (uint32_t vertexCount, uint32_t instanceCount, uint32_t firstVertex, uint32_t firstInstance, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | drawIndexed (uint32_t indexCount, uint32_t instanceCount, uint32_t firstIndex, int32_t vertexOffset, uint32_t firstInstance, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | drawIndirect (Buffer buffer, DeviceSize offset, uint32_t drawCount, uint32_t stride, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | drawIndexedIndirect (Buffer buffer, DeviceSize offset, uint32_t drawCount, uint32_t stride, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | dispatch (uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | dispatchIndirect (Buffer buffer, DeviceSize offset, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | copyBuffer (Buffer srcBuffer, Buffer dstBuffer, uint32_t regionCount, const BufferCopy *pRegions, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | copyBuffer (Buffer srcBuffer, Buffer dstBuffer, ArrayProxy< const BufferCopy > regions, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | copyImage (Image srcImage, ImageLayout srcImageLayout, Image dstImage, ImageLayout dstImageLayout, uint32_t regionCount, const ImageCopy *pRegions, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | copyImage (Image srcImage, ImageLayout srcImageLayout, Image dstImage, ImageLayout dstImageLayout, ArrayProxy< const ImageCopy > regions, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | blitImage (Image srcImage, ImageLayout srcImageLayout, Image dstImage, ImageLayout dstImageLayout, uint32_t regionCount, const ImageBlit *pRegions, Filter filter, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | blitImage (Image srcImage, ImageLayout srcImageLayout, Image dstImage, ImageLayout dstImageLayout, ArrayProxy< const ImageBlit > regions, Filter filter, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | copyBufferToImage (Buffer srcBuffer, Image dstImage, ImageLayout dstImageLayout, uint32_t regionCount, const BufferImageCopy *pRegions, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | copyBufferToImage (Buffer srcBuffer, Image dstImage, ImageLayout dstImageLayout, ArrayProxy< const BufferImageCopy > regions, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | copyImageToBuffer (Image srcImage, ImageLayout srcImageLayout, Buffer dstBuffer, uint32_t regionCount, const BufferImageCopy *pRegions, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | copyImageToBuffer (Image srcImage, ImageLayout srcImageLayout, Buffer dstBuffer, ArrayProxy< const BufferImageCopy > regions, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | updateBuffer (Buffer dstBuffer, DeviceSize dstOffset, DeviceSize dataSize, const void *pData, Dispatch const &d=Dispatch()) const
template<typename T , typename Dispatch = DispatchLoaderStatic>
void | updateBuffer (Buffer dstBuffer, DeviceSize dstOffset, ArrayProxy< const T > data, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | fillBuffer (Buffer dstBuffer, DeviceSize dstOffset, DeviceSize size, uint32_t data, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | clearColorImage (Image image, ImageLayout imageLayout, const ClearColorValue *pColor, uint32_t rangeCount, const ImageSubresourceRange *pRanges, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | clearColorImage (Image image, ImageLayout imageLayout, const ClearColorValue &color, ArrayProxy< const ImageSubresourceRange > ranges, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | clearDepthStencilImage (Image image, ImageLayout imageLayout, const ClearDepthStencilValue *pDepthStencil, uint32_t rangeCount, const ImageSubresourceRange *pRanges, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | clearDepthStencilImage (Image image, ImageLayout imageLayout, const ClearDepthStencilValue &depthStencil, ArrayProxy< const ImageSubresourceRange > ranges, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | clearAttachments (uint32_t attachmentCount, const ClearAttachment *pAttachments, uint32_t rectCount, const ClearRect *pRects, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | clearAttachments (ArrayProxy< const ClearAttachment > attachments, ArrayProxy< const ClearRect > rects, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | resolveImage (Image srcImage, ImageLayout srcImageLayout, Image dstImage, ImageLayout dstImageLayout, uint32_t regionCount, const ImageResolve *pRegions, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | resolveImage (Image srcImage, ImageLayout srcImageLayout, Image dstImage, ImageLayout dstImageLayout, ArrayProxy< const ImageResolve > regions, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | setEvent (Event event, PipelineStageFlags stageMask, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | resetEvent (Event event, PipelineStageFlags stageMask, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | waitEvents (uint32_t eventCount, const Event *pEvents, PipelineStageFlags srcStageMask, PipelineStageFlags dstStageMask, uint32_t memoryBarrierCount, const MemoryBarrier *pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const BufferMemoryBarrier *pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const ImageMemoryBarrier *pImageMemoryBarriers, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | waitEvents (ArrayProxy< const Event > events, PipelineStageFlags srcStageMask, PipelineStageFlags dstStageMask, ArrayProxy< const MemoryBarrier > memoryBarriers, ArrayProxy< const BufferMemoryBarrier > bufferMemoryBarriers, ArrayProxy< const ImageMemoryBarrier > imageMemoryBarriers, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | pipelineBarrier (PipelineStageFlags srcStageMask, PipelineStageFlags dstStageMask, DependencyFlags dependencyFlags, uint32_t memoryBarrierCount, const MemoryBarrier *pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const BufferMemoryBarrier *pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const ImageMemoryBarrier *pImageMemoryBarriers, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | pipelineBarrier (PipelineStageFlags srcStageMask, PipelineStageFlags dstStageMask, DependencyFlags dependencyFlags, ArrayProxy< const MemoryBarrier > memoryBarriers, ArrayProxy< const BufferMemoryBarrier > bufferMemoryBarriers, ArrayProxy< const ImageMemoryBarrier > imageMemoryBarriers, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | beginQuery (QueryPool queryPool, uint32_t query, QueryControlFlags flags, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | endQuery (QueryPool queryPool, uint32_t query, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | beginConditionalRenderingEXT (const ConditionalRenderingBeginInfoEXT *pConditionalRenderingBegin, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | beginConditionalRenderingEXT (const ConditionalRenderingBeginInfoEXT &conditionalRenderingBegin, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | endConditionalRenderingEXT (Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | resetQueryPool (QueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | writeTimestamp (PipelineStageFlagBits pipelineStage, QueryPool queryPool, uint32_t query, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | copyQueryPoolResults (QueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, Buffer dstBuffer, DeviceSize dstOffset, DeviceSize stride, QueryResultFlags flags, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | pushConstants (PipelineLayout layout, ShaderStageFlags stageFlags, uint32_t offset, uint32_t size, const void *pValues, Dispatch const &d=Dispatch()) const
template<typename T , typename Dispatch = DispatchLoaderStatic>
void | pushConstants (PipelineLayout layout, ShaderStageFlags stageFlags, uint32_t offset, ArrayProxy< const T > values, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | beginRenderPass (const RenderPassBeginInfo *pRenderPassBegin, SubpassContents contents, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | beginRenderPass (const RenderPassBeginInfo &renderPassBegin, SubpassContents contents, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | nextSubpass (SubpassContents contents, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | endRenderPass (Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | executeCommands (uint32_t commandBufferCount, const CommandBuffer *pCommandBuffers, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | executeCommands (ArrayProxy< const CommandBuffer > commandBuffers, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | debugMarkerBeginEXT (const DebugMarkerMarkerInfoEXT *pMarkerInfo, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | debugMarkerBeginEXT (const DebugMarkerMarkerInfoEXT &markerInfo, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | debugMarkerEndEXT (Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | debugMarkerInsertEXT (const DebugMarkerMarkerInfoEXT *pMarkerInfo, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | debugMarkerInsertEXT (const DebugMarkerMarkerInfoEXT &markerInfo, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | drawIndirectCountAMD (Buffer buffer, DeviceSize offset, Buffer countBuffer, DeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | drawIndexedIndirectCountAMD (Buffer buffer, DeviceSize offset, Buffer countBuffer, DeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | processCommandsNVX (const CmdProcessCommandsInfoNVX *pProcessCommandsInfo, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | processCommandsNVX (const CmdProcessCommandsInfoNVX &processCommandsInfo, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | reserveSpaceForCommandsNVX (const CmdReserveSpaceForCommandsInfoNVX *pReserveSpaceInfo, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | reserveSpaceForCommandsNVX (const CmdReserveSpaceForCommandsInfoNVX &reserveSpaceInfo, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | pushDescriptorSetKHR (PipelineBindPoint pipelineBindPoint, PipelineLayout layout, uint32_t set, uint32_t descriptorWriteCount, const WriteDescriptorSet *pDescriptorWrites, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | pushDescriptorSetKHR (PipelineBindPoint pipelineBindPoint, PipelineLayout layout, uint32_t set, ArrayProxy< const WriteDescriptorSet > descriptorWrites, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | setDeviceMask (uint32_t deviceMask, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | setDeviceMaskKHR (uint32_t deviceMask, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | dispatchBase (uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | dispatchBaseKHR (uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | pushDescriptorSetWithTemplateKHR (DescriptorUpdateTemplate descriptorUpdateTemplate, PipelineLayout layout, uint32_t set, const void *pData, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | setViewportWScalingNV (uint32_t firstViewport, uint32_t viewportCount, const ViewportWScalingNV *pViewportWScalings, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | setViewportWScalingNV (uint32_t firstViewport, ArrayProxy< const ViewportWScalingNV > viewportWScalings, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | setDiscardRectangleEXT (uint32_t firstDiscardRectangle, uint32_t discardRectangleCount, const Rect2D *pDiscardRectangles, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | setDiscardRectangleEXT (uint32_t firstDiscardRectangle, ArrayProxy< const Rect2D > discardRectangles, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | setSampleLocationsEXT (const SampleLocationsInfoEXT *pSampleLocationsInfo, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | setSampleLocationsEXT (const SampleLocationsInfoEXT &sampleLocationsInfo, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | beginDebugUtilsLabelEXT (const DebugUtilsLabelEXT *pLabelInfo, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | beginDebugUtilsLabelEXT (const DebugUtilsLabelEXT &labelInfo, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | endDebugUtilsLabelEXT (Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | insertDebugUtilsLabelEXT (const DebugUtilsLabelEXT *pLabelInfo, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | insertDebugUtilsLabelEXT (const DebugUtilsLabelEXT &labelInfo, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | writeBufferMarkerAMD (PipelineStageFlagBits pipelineStage, Buffer dstBuffer, DeviceSize dstOffset, uint32_t marker, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | beginRenderPass2KHR (const RenderPassBeginInfo *pRenderPassBegin, const SubpassBeginInfoKHR *pSubpassBeginInfo, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | beginRenderPass2KHR (const RenderPassBeginInfo &renderPassBegin, const SubpassBeginInfoKHR &subpassBeginInfo, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | nextSubpass2KHR (const SubpassBeginInfoKHR *pSubpassBeginInfo, const SubpassEndInfoKHR *pSubpassEndInfo, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | nextSubpass2KHR (const SubpassBeginInfoKHR &subpassBeginInfo, const SubpassEndInfoKHR &subpassEndInfo, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | endRenderPass2KHR (const SubpassEndInfoKHR *pSubpassEndInfo, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | endRenderPass2KHR (const SubpassEndInfoKHR &subpassEndInfo, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | drawIndirectCountKHR (Buffer buffer, DeviceSize offset, Buffer countBuffer, DeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | drawIndexedIndirectCountKHR (Buffer buffer, DeviceSize offset, Buffer countBuffer, DeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | setCheckpointNV (const void *pCheckpointMarker, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | bindTransformFeedbackBuffersEXT (uint32_t firstBinding, uint32_t bindingCount, const Buffer *pBuffers, const DeviceSize *pOffsets, const DeviceSize *pSizes, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | bindTransformFeedbackBuffersEXT (uint32_t firstBinding, ArrayProxy< const Buffer > buffers, ArrayProxy< const DeviceSize > offsets, ArrayProxy< const DeviceSize > sizes, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | beginTransformFeedbackEXT (uint32_t firstCounterBuffer, uint32_t counterBufferCount, const Buffer *pCounterBuffers, const DeviceSize *pCounterBufferOffsets, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | beginTransformFeedbackEXT (uint32_t firstCounterBuffer, ArrayProxy< const Buffer > counterBuffers, ArrayProxy< const DeviceSize > counterBufferOffsets, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | endTransformFeedbackEXT (uint32_t firstCounterBuffer, uint32_t counterBufferCount, const Buffer *pCounterBuffers, const DeviceSize *pCounterBufferOffsets, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | endTransformFeedbackEXT (uint32_t firstCounterBuffer, ArrayProxy< const Buffer > counterBuffers, ArrayProxy< const DeviceSize > counterBufferOffsets, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | beginQueryIndexedEXT (QueryPool queryPool, uint32_t query, QueryControlFlags flags, uint32_t index, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | endQueryIndexedEXT (QueryPool queryPool, uint32_t query, uint32_t index, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | drawIndirectByteCountEXT (uint32_t instanceCount, uint32_t firstInstance, Buffer counterBuffer, DeviceSize counterBufferOffset, uint32_t counterOffset, uint32_t vertexStride, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | setExclusiveScissorNV (uint32_t firstExclusiveScissor, uint32_t exclusiveScissorCount, const Rect2D *pExclusiveScissors, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | setExclusiveScissorNV (uint32_t firstExclusiveScissor, ArrayProxy< const Rect2D > exclusiveScissors, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | bindShadingRateImageNV (ImageView imageView, ImageLayout imageLayout, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | setViewportShadingRatePaletteNV (uint32_t firstViewport, uint32_t viewportCount, const ShadingRatePaletteNV *pShadingRatePalettes, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | setViewportShadingRatePaletteNV (uint32_t firstViewport, ArrayProxy< const ShadingRatePaletteNV > shadingRatePalettes, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | setCoarseSampleOrderNV (CoarseSampleOrderTypeNV sampleOrderType, uint32_t customSampleOrderCount, const CoarseSampleOrderCustomNV *pCustomSampleOrders, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | setCoarseSampleOrderNV (CoarseSampleOrderTypeNV sampleOrderType, ArrayProxy< const CoarseSampleOrderCustomNV > customSampleOrders, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | drawMeshTasksNV (uint32_t taskCount, uint32_t firstTask, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | drawMeshTasksIndirectNV (Buffer buffer, DeviceSize offset, uint32_t drawCount, uint32_t stride, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | drawMeshTasksIndirectCountNV (Buffer buffer, DeviceSize offset, Buffer countBuffer, DeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | copyAccelerationStructureNV (AccelerationStructureNV dst, AccelerationStructureNV src, CopyAccelerationStructureModeNV mode, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | writeAccelerationStructuresPropertiesNV (uint32_t accelerationStructureCount, const AccelerationStructureNV *pAccelerationStructures, QueryType queryType, QueryPool queryPool, uint32_t firstQuery, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | writeAccelerationStructuresPropertiesNV (ArrayProxy< const AccelerationStructureNV > accelerationStructures, QueryType queryType, QueryPool queryPool, uint32_t firstQuery, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | buildAccelerationStructureNV (const AccelerationStructureInfoNV *pInfo, Buffer instanceData, DeviceSize instanceOffset, Bool32 update, AccelerationStructureNV dst, AccelerationStructureNV src, Buffer scratch, DeviceSize scratchOffset, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | buildAccelerationStructureNV (const AccelerationStructureInfoNV &info, Buffer instanceData, DeviceSize instanceOffset, Bool32 update, AccelerationStructureNV dst, AccelerationStructureNV src, Buffer scratch, DeviceSize scratchOffset, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>

void

traceRaysNV (Buffer raygenShaderBindingTableBuffer, DeviceSize raygenShaderBindingOffset, Buffer missShaderBindingTableBuffer, DeviceSize missShaderBindingOffset, DeviceSize missShaderBindingStride, Buffer hitShaderBindingTableBuffer, DeviceSize hitShaderBindingOffset, DeviceSize hitShaderBindingStride, Buffer callableShaderBindingTableBuffer, DeviceSize callableShaderBindingOffset, DeviceSize callableShaderBindingStride, uint32_t width, uint32_t height, uint32_t depth, Dispatch const &d=Dispatch()) const

VULKAN_HPP_TYPESAFE_EXPLICIT | operator VkCommandBuffer () const
| operator bool () const
bool | operator! () const
template<typename Dispatch >
VULKAN_HPP_INLINE Result | begin (const CommandBufferBeginInfo *pBeginInfo, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE ResultValueType< void >::type | begin (const CommandBufferBeginInfo &beginInfo, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE ResultValueType< void >::type | end (Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE ResultValueType< void >::type | reset (CommandBufferResetFlags flags, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | bindPipeline (PipelineBindPoint pipelineBindPoint, Pipeline pipeline, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | setViewport (uint32_t firstViewport, uint32_t viewportCount, const Viewport *pViewports, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | setViewport (uint32_t firstViewport, ArrayProxy< const Viewport > viewports, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | setScissor (uint32_t firstScissor, uint32_t scissorCount, const Rect2D *pScissors, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | setScissor (uint32_t firstScissor, ArrayProxy< const Rect2D > scissors, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | setLineWidth (float lineWidth, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | setDepthBias (float depthBiasConstantFactor, float depthBiasClamp, float depthBiasSlopeFactor, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | setBlendConstants (const float blendConstants[4], Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | setDepthBounds (float minDepthBounds, float maxDepthBounds, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | setStencilCompareMask (StencilFaceFlags faceMask, uint32_t compareMask, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | setStencilWriteMask (StencilFaceFlags faceMask, uint32_t writeMask, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | setStencilReference (StencilFaceFlags faceMask, uint32_t reference, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | bindDescriptorSets (PipelineBindPoint pipelineBindPoint, PipelineLayout layout, uint32_t firstSet, uint32_t descriptorSetCount, const DescriptorSet *pDescriptorSets, uint32_t dynamicOffsetCount, const uint32_t *pDynamicOffsets, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | bindDescriptorSets (PipelineBindPoint pipelineBindPoint, PipelineLayout layout, uint32_t firstSet, ArrayProxy< const DescriptorSet > descriptorSets, ArrayProxy< const uint32_t > dynamicOffsets, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | bindIndexBuffer (Buffer buffer, DeviceSize offset, IndexType indexType, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | bindVertexBuffers (uint32_t firstBinding, uint32_t bindingCount, const Buffer *pBuffers, const DeviceSize *pOffsets, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | bindVertexBuffers (uint32_t firstBinding, ArrayProxy< const Buffer > buffers, ArrayProxy< const DeviceSize > offsets, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | draw (uint32_t vertexCount, uint32_t instanceCount, uint32_t firstVertex, uint32_t firstInstance, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | drawIndexed (uint32_t indexCount, uint32_t instanceCount, uint32_t firstIndex, int32_t vertexOffset, uint32_t firstInstance, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | drawIndirect (Buffer buffer, DeviceSize offset, uint32_t drawCount, uint32_t stride, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | drawIndexedIndirect (Buffer buffer, DeviceSize offset, uint32_t drawCount, uint32_t stride, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | dispatch (uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | dispatchIndirect (Buffer buffer, DeviceSize offset, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | copyBuffer (Buffer srcBuffer, Buffer dstBuffer, uint32_t regionCount, const BufferCopy *pRegions, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | copyBuffer (Buffer srcBuffer, Buffer dstBuffer, ArrayProxy< const BufferCopy > regions, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | copyImage (Image srcImage, ImageLayout srcImageLayout, Image dstImage, ImageLayout dstImageLayout, uint32_t regionCount, const ImageCopy *pRegions, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | copyImage (Image srcImage, ImageLayout srcImageLayout, Image dstImage, ImageLayout dstImageLayout, ArrayProxy< const ImageCopy > regions, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | blitImage (Image srcImage, ImageLayout srcImageLayout, Image dstImage, ImageLayout dstImageLayout, uint32_t regionCount, const ImageBlit *pRegions, Filter filter, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | blitImage (Image srcImage, ImageLayout srcImageLayout, Image dstImage, ImageLayout dstImageLayout, ArrayProxy< const ImageBlit > regions, Filter filter, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | copyBufferToImage (Buffer srcBuffer, Image dstImage, ImageLayout dstImageLayout, uint32_t regionCount, const BufferImageCopy *pRegions, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | copyBufferToImage (Buffer srcBuffer, Image dstImage, ImageLayout dstImageLayout, ArrayProxy< const BufferImageCopy > regions, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | copyImageToBuffer (Image srcImage, ImageLayout srcImageLayout, Buffer dstBuffer, uint32_t regionCount, const BufferImageCopy *pRegions, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | copyImageToBuffer (Image srcImage, ImageLayout srcImageLayout, Buffer dstBuffer, ArrayProxy< const BufferImageCopy > regions, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | updateBuffer (Buffer dstBuffer, DeviceSize dstOffset, DeviceSize dataSize, const void *pData, Dispatch const &d) const
template<typename T , typename Dispatch >
VULKAN_HPP_INLINE void | updateBuffer (Buffer dstBuffer, DeviceSize dstOffset, ArrayProxy< const T > data, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | fillBuffer (Buffer dstBuffer, DeviceSize dstOffset, DeviceSize size, uint32_t data, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | clearColorImage (Image image, ImageLayout imageLayout, const ClearColorValue *pColor, uint32_t rangeCount, const ImageSubresourceRange *pRanges, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | clearColorImage (Image image, ImageLayout imageLayout, const ClearColorValue &color, ArrayProxy< const ImageSubresourceRange > ranges, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | clearDepthStencilImage (Image image, ImageLayout imageLayout, const ClearDepthStencilValue *pDepthStencil, uint32_t rangeCount, const ImageSubresourceRange *pRanges, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | clearDepthStencilImage (Image image, ImageLayout imageLayout, const ClearDepthStencilValue &depthStencil, ArrayProxy< const ImageSubresourceRange > ranges, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | clearAttachments (uint32_t attachmentCount, const ClearAttachment *pAttachments, uint32_t rectCount, const ClearRect *pRects, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | clearAttachments (ArrayProxy< const ClearAttachment > attachments, ArrayProxy< const ClearRect > rects, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | resolveImage (Image srcImage, ImageLayout srcImageLayout, Image dstImage, ImageLayout dstImageLayout, uint32_t regionCount, const ImageResolve *pRegions, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | resolveImage (Image srcImage, ImageLayout srcImageLayout, Image dstImage, ImageLayout dstImageLayout, ArrayProxy< const ImageResolve > regions, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | setEvent (Event event, PipelineStageFlags stageMask, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | resetEvent (Event event, PipelineStageFlags stageMask, Dispatch const &d) const
template<typename Dispatch >

VULKAN_HPP_INLINE void

waitEvents (uint32_t eventCount, const Event *pEvents, PipelineStageFlags srcStageMask, PipelineStageFlags dstStageMask, uint32_t memoryBarrierCount, const MemoryBarrier *pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const BufferMemoryBarrier *pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const ImageMemoryBarrier *pImageMemoryBarriers, Dispatch const &d) const

template<typename Dispatch >
VULKAN_HPP_INLINE void | waitEvents (ArrayProxy< const Event > events, PipelineStageFlags srcStageMask, PipelineStageFlags dstStageMask, ArrayProxy< const MemoryBarrier > memoryBarriers, ArrayProxy< const BufferMemoryBarrier > bufferMemoryBarriers, ArrayProxy< const ImageMemoryBarrier > imageMemoryBarriers, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | pipelineBarrier (PipelineStageFlags srcStageMask, PipelineStageFlags dstStageMask, DependencyFlags dependencyFlags, uint32_t memoryBarrierCount, const MemoryBarrier *pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const BufferMemoryBarrier *pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const ImageMemoryBarrier *pImageMemoryBarriers, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | pipelineBarrier (PipelineStageFlags srcStageMask, PipelineStageFlags dstStageMask, DependencyFlags dependencyFlags, ArrayProxy< const MemoryBarrier > memoryBarriers, ArrayProxy< const BufferMemoryBarrier > bufferMemoryBarriers, ArrayProxy< const ImageMemoryBarrier > imageMemoryBarriers, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | beginQuery (QueryPool queryPool, uint32_t query, QueryControlFlags flags, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | endQuery (QueryPool queryPool, uint32_t query, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | beginConditionalRenderingEXT (const ConditionalRenderingBeginInfoEXT *pConditionalRenderingBegin, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | beginConditionalRenderingEXT (const ConditionalRenderingBeginInfoEXT &conditionalRenderingBegin, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | endConditionalRenderingEXT (Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | resetQueryPool (QueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | writeTimestamp (PipelineStageFlagBits pipelineStage, QueryPool queryPool, uint32_t query, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | copyQueryPoolResults (QueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, Buffer dstBuffer, DeviceSize dstOffset, DeviceSize stride, QueryResultFlags flags, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | pushConstants (PipelineLayout layout, ShaderStageFlags stageFlags, uint32_t offset, uint32_t size, const void *pValues, Dispatch const &d) const
template<typename T , typename Dispatch >
VULKAN_HPP_INLINE void | pushConstants (PipelineLayout layout, ShaderStageFlags stageFlags, uint32_t offset, ArrayProxy< const T > values, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | beginRenderPass (const RenderPassBeginInfo *pRenderPassBegin, SubpassContents contents, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | beginRenderPass (const RenderPassBeginInfo &renderPassBegin, SubpassContents contents, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | nextSubpass (SubpassContents contents, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | endRenderPass (Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | executeCommands (uint32_t commandBufferCount, const CommandBuffer *pCommandBuffers, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | executeCommands (ArrayProxy< const CommandBuffer > commandBuffers, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | debugMarkerBeginEXT (const DebugMarkerMarkerInfoEXT *pMarkerInfo, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | debugMarkerBeginEXT (const DebugMarkerMarkerInfoEXT &markerInfo, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | debugMarkerEndEXT (Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | debugMarkerInsertEXT (const DebugMarkerMarkerInfoEXT *pMarkerInfo, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | debugMarkerInsertEXT (const DebugMarkerMarkerInfoEXT &markerInfo, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | drawIndirectCountAMD (Buffer buffer, DeviceSize offset, Buffer countBuffer, DeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | drawIndexedIndirectCountAMD (Buffer buffer, DeviceSize offset, Buffer countBuffer, DeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | processCommandsNVX (const CmdProcessCommandsInfoNVX *pProcessCommandsInfo, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | processCommandsNVX (const CmdProcessCommandsInfoNVX &processCommandsInfo, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | reserveSpaceForCommandsNVX (const CmdReserveSpaceForCommandsInfoNVX *pReserveSpaceInfo, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | reserveSpaceForCommandsNVX (const CmdReserveSpaceForCommandsInfoNVX &reserveSpaceInfo, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | pushDescriptorSetKHR (PipelineBindPoint pipelineBindPoint, PipelineLayout layout, uint32_t set, uint32_t descriptorWriteCount, const WriteDescriptorSet *pDescriptorWrites, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | pushDescriptorSetKHR (PipelineBindPoint pipelineBindPoint, PipelineLayout layout, uint32_t set, ArrayProxy< const WriteDescriptorSet > descriptorWrites, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | setDeviceMask (uint32_t deviceMask, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | setDeviceMaskKHR (uint32_t deviceMask, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | dispatchBase (uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | dispatchBaseKHR (uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | pushDescriptorSetWithTemplateKHR (DescriptorUpdateTemplate descriptorUpdateTemplate, PipelineLayout layout, uint32_t set, const void *pData, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | setViewportWScalingNV (uint32_t firstViewport, uint32_t viewportCount, const ViewportWScalingNV *pViewportWScalings, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | setViewportWScalingNV (uint32_t firstViewport, ArrayProxy< const ViewportWScalingNV > viewportWScalings, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | setDiscardRectangleEXT (uint32_t firstDiscardRectangle, uint32_t discardRectangleCount, const Rect2D *pDiscardRectangles, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | setDiscardRectangleEXT (uint32_t firstDiscardRectangle, ArrayProxy< const Rect2D > discardRectangles, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | setSampleLocationsEXT (const SampleLocationsInfoEXT *pSampleLocationsInfo, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | setSampleLocationsEXT (const SampleLocationsInfoEXT &sampleLocationsInfo, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | beginDebugUtilsLabelEXT (const DebugUtilsLabelEXT *pLabelInfo, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | beginDebugUtilsLabelEXT (const DebugUtilsLabelEXT &labelInfo, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | endDebugUtilsLabelEXT (Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | insertDebugUtilsLabelEXT (const DebugUtilsLabelEXT *pLabelInfo, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | insertDebugUtilsLabelEXT (const DebugUtilsLabelEXT &labelInfo, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | writeBufferMarkerAMD (PipelineStageFlagBits pipelineStage, Buffer dstBuffer, DeviceSize dstOffset, uint32_t marker, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | beginRenderPass2KHR (const RenderPassBeginInfo *pRenderPassBegin, const SubpassBeginInfoKHR *pSubpassBeginInfo, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | beginRenderPass2KHR (const RenderPassBeginInfo &renderPassBegin, const SubpassBeginInfoKHR &subpassBeginInfo, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | nextSubpass2KHR (const SubpassBeginInfoKHR *pSubpassBeginInfo, const SubpassEndInfoKHR *pSubpassEndInfo, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | nextSubpass2KHR (const SubpassBeginInfoKHR &subpassBeginInfo, const SubpassEndInfoKHR &subpassEndInfo, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | endRenderPass2KHR (const SubpassEndInfoKHR *pSubpassEndInfo, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | endRenderPass2KHR (const SubpassEndInfoKHR &subpassEndInfo, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | drawIndirectCountKHR (Buffer buffer, DeviceSize offset, Buffer countBuffer, DeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | drawIndexedIndirectCountKHR (Buffer buffer, DeviceSize offset, Buffer countBuffer, DeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | setCheckpointNV (const void *pCheckpointMarker, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | bindTransformFeedbackBuffersEXT (uint32_t firstBinding, uint32_t bindingCount, const Buffer *pBuffers, const DeviceSize *pOffsets, const DeviceSize *pSizes, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | bindTransformFeedbackBuffersEXT (uint32_t firstBinding, ArrayProxy< const Buffer > buffers, ArrayProxy< const DeviceSize > offsets, ArrayProxy< const DeviceSize > sizes, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | beginTransformFeedbackEXT (uint32_t firstCounterBuffer, uint32_t counterBufferCount, const Buffer *pCounterBuffers, const DeviceSize *pCounterBufferOffsets, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | beginTransformFeedbackEXT (uint32_t firstCounterBuffer, ArrayProxy< const Buffer > counterBuffers, ArrayProxy< const DeviceSize > counterBufferOffsets, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | endTransformFeedbackEXT (uint32_t firstCounterBuffer, uint32_t counterBufferCount, const Buffer *pCounterBuffers, const DeviceSize *pCounterBufferOffsets, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | endTransformFeedbackEXT (uint32_t firstCounterBuffer, ArrayProxy< const Buffer > counterBuffers, ArrayProxy< const DeviceSize > counterBufferOffsets, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | beginQueryIndexedEXT (QueryPool queryPool, uint32_t query, QueryControlFlags flags, uint32_t index, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | endQueryIndexedEXT (QueryPool queryPool, uint32_t query, uint32_t index, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | drawIndirectByteCountEXT (uint32_t instanceCount, uint32_t firstInstance, Buffer counterBuffer, DeviceSize counterBufferOffset, uint32_t counterOffset, uint32_t vertexStride, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | setExclusiveScissorNV (uint32_t firstExclusiveScissor, uint32_t exclusiveScissorCount, const Rect2D *pExclusiveScissors, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | setExclusiveScissorNV (uint32_t firstExclusiveScissor, ArrayProxy< const Rect2D > exclusiveScissors, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | bindShadingRateImageNV (ImageView imageView, ImageLayout imageLayout, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | setViewportShadingRatePaletteNV (uint32_t firstViewport, uint32_t viewportCount, const ShadingRatePaletteNV *pShadingRatePalettes, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | setViewportShadingRatePaletteNV (uint32_t firstViewport, ArrayProxy< const ShadingRatePaletteNV > shadingRatePalettes, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | setCoarseSampleOrderNV (CoarseSampleOrderTypeNV sampleOrderType, uint32_t customSampleOrderCount, const CoarseSampleOrderCustomNV *pCustomSampleOrders, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | setCoarseSampleOrderNV (CoarseSampleOrderTypeNV sampleOrderType, ArrayProxy< const CoarseSampleOrderCustomNV > customSampleOrders, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | drawMeshTasksNV (uint32_t taskCount, uint32_t firstTask, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | drawMeshTasksIndirectNV (Buffer buffer, DeviceSize offset, uint32_t drawCount, uint32_t stride, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | drawMeshTasksIndirectCountNV (Buffer buffer, DeviceSize offset, Buffer countBuffer, DeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | copyAccelerationStructureNV (AccelerationStructureNV dst, AccelerationStructureNV src, CopyAccelerationStructureModeNV mode, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | writeAccelerationStructuresPropertiesNV (uint32_t accelerationStructureCount, const AccelerationStructureNV *pAccelerationStructures, QueryType queryType, QueryPool queryPool, uint32_t firstQuery, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | writeAccelerationStructuresPropertiesNV (ArrayProxy< const AccelerationStructureNV > accelerationStructures, QueryType queryType, QueryPool queryPool, uint32_t firstQuery, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | buildAccelerationStructureNV (const AccelerationStructureInfoNV *pInfo, Buffer instanceData, DeviceSize instanceOffset, Bool32 update, AccelerationStructureNV dst, AccelerationStructureNV src, Buffer scratch, DeviceSize scratchOffset, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | buildAccelerationStructureNV (const AccelerationStructureInfoNV &info, Buffer instanceData, DeviceSize instanceOffset, Bool32 update, AccelerationStructureNV dst, AccelerationStructureNV src, Buffer scratch, DeviceSize scratchOffset, Dispatch const &d) const
template<typename Dispatch >

VULKAN_HPP_INLINE void

traceRaysNV (Buffer raygenShaderBindingTableBuffer, DeviceSize raygenShaderBindingOffset, Buffer missShaderBindingTableBuffer, DeviceSize missShaderBindingOffset, DeviceSize missShaderBindingStride, Buffer hitShaderBindingTableBuffer, DeviceSize hitShaderBindingOffset, DeviceSize hitShaderBindingStride, Buffer callableShaderBindingTableBuffer, DeviceSize callableShaderBindingOffset, DeviceSize callableShaderBindingStride, uint32_t width, uint32_t height, uint32_t depth, Dispatch const &d) const

## Private Attributes

VkCommandBuffer | m_commandBuffer

## Detailed Description

Definition at line 37711 of file vulkan.hpp.

## Constructor & Destructor Documentation

## CommandBuffer() [1/3]

VULKAN_HPP_CONSTEXPR VULKAN_HPP_NAMESPACE::CommandBuffer::CommandBuffer | ( |  | ) |

inline

Definition at line 37714 of file vulkan.hpp.

: m_commandBuffer(VK_NULL_HANDLE)
{}

## CommandBuffer() [2/3]

VULKAN_HPP_CONSTEXPR VULKAN_HPP_NAMESPACE::CommandBuffer::CommandBuffer | ( | std::nullptr_t |  | ) |

inline

Definition at line 37718 of file vulkan.hpp.

: m_commandBuffer(VK_NULL_HANDLE)
{}

## CommandBuffer() [3/3]

VULKAN_HPP_TYPESAFE_EXPLICIT VULKAN_HPP_NAMESPACE::CommandBuffer::CommandBuffer | ( | VkCommandBuffer | commandBuffer | ) |

inline

Definition at line 37722 of file vulkan.hpp.

: m_commandBuffer( commandBuffer )
{}

## Member Function Documentation

## begin() [1/4]

template<typename Dispatch >

VULKAN_HPP_INLINE ResultValueType<void>::type VULKAN_HPP_NAMESPACE::CommandBuffer::begin | ( | const CommandBufferBeginInfo & | beginInfo,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38239 of file vulkan.hpp.

{
Result result = static_cast<Result>( d.vkBeginCommandBuffer( m_commandBuffer, reinterpret_cast<const VkCommandBufferBeginInfo*>( &beginInfo ) ) );
return createResultValue( result, VULKAN_HPP_NAMESPACE_STRING"::CommandBuffer::begin" );
}

References VULKAN_HPP_NAMESPACE::createResultValue(), d, m_commandBuffer, and VULKAN_HPP_NAMESPACE_STRING.

## begin() [2/4]

template<typename Dispatch = DispatchLoaderStatic>

ResultValueType<void>::type VULKAN_HPP_NAMESPACE::CommandBuffer::begin | ( | const CommandBufferBeginInfo & | beginInfo,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## begin() [3/4]

template<typename Dispatch >

VULKAN_HPP_INLINE Result VULKAN_HPP_NAMESPACE::CommandBuffer::begin | ( | const CommandBufferBeginInfo * | pBeginInfo,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38233 of file vulkan.hpp.

{
return static_cast<Result>( d.vkBeginCommandBuffer( m_commandBuffer, reinterpret_cast<const VkCommandBufferBeginInfo*>( pBeginInfo ) ) );
}

References d, and m_commandBuffer.

## begin() [4/4]

template<typename Dispatch = DispatchLoaderStatic>

Result VULKAN_HPP_NAMESPACE::CommandBuffer::begin | ( | const CommandBufferBeginInfo * | pBeginInfo,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## beginConditionalRenderingEXT() [1/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::beginConditionalRenderingEXT | ( | const ConditionalRenderingBeginInfoEXT & | conditionalRenderingBegin,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38779 of file vulkan.hpp.

{
d.vkCmdBeginConditionalRenderingEXT( m_commandBuffer, reinterpret_cast<const VkConditionalRenderingBeginInfoEXT*>( &conditionalRenderingBegin ) );
}

References d, and m_commandBuffer.

## beginConditionalRenderingEXT() [2/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::beginConditionalRenderingEXT | ( | const ConditionalRenderingBeginInfoEXT & | conditionalRenderingBegin,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## beginConditionalRenderingEXT() [3/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::beginConditionalRenderingEXT | ( | const ConditionalRenderingBeginInfoEXT * | pConditionalRenderingBegin,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38773 of file vulkan.hpp.

{
d.vkCmdBeginConditionalRenderingEXT( m_commandBuffer, reinterpret_cast<const VkConditionalRenderingBeginInfoEXT*>( pConditionalRenderingBegin ) );
}

References d, and m_commandBuffer.

## beginConditionalRenderingEXT() [4/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::beginConditionalRenderingEXT | ( | const ConditionalRenderingBeginInfoEXT * | pConditionalRenderingBegin,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## beginDebugUtilsLabelEXT() [1/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::beginDebugUtilsLabelEXT | ( | const DebugUtilsLabelEXT & | labelInfo,
|  | Dispatch const & | d
| ) |  | const

Definition at line 39131 of file vulkan.hpp.

{
d.vkCmdBeginDebugUtilsLabelEXT( m_commandBuffer, reinterpret_cast<const VkDebugUtilsLabelEXT*>( &labelInfo ) );
}

References d, and m_commandBuffer.

## beginDebugUtilsLabelEXT() [2/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::beginDebugUtilsLabelEXT | ( | const DebugUtilsLabelEXT & | labelInfo,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## beginDebugUtilsLabelEXT() [3/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::beginDebugUtilsLabelEXT | ( | const DebugUtilsLabelEXT * | pLabelInfo,
|  | Dispatch const & | d
| ) |  | const

Definition at line 39125 of file vulkan.hpp.

{
d.vkCmdBeginDebugUtilsLabelEXT( m_commandBuffer, reinterpret_cast<const VkDebugUtilsLabelEXT*>( pLabelInfo ) );
}

References d, and m_commandBuffer.

## beginDebugUtilsLabelEXT() [4/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::beginDebugUtilsLabelEXT | ( | const DebugUtilsLabelEXT * | pLabelInfo,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## beginQuery() [1/2]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::beginQuery | ( | QueryPool | queryPool,
|  | uint32_t | query,
|  | QueryControlFlags | flags,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38752 of file vulkan.hpp.

{
d.vkCmdBeginQuery( m_commandBuffer, static_cast<VkQueryPool>( queryPool ), query, static_cast<VkQueryControlFlags>( flags ) );
}

References d, and m_commandBuffer.

## beginQuery() [2/2]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::beginQuery | ( | QueryPool | queryPool,
|  | uint32_t | query,
|  | QueryControlFlags | flags,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## beginQueryIndexedEXT() [1/2]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::beginQueryIndexedEXT | ( | QueryPool | queryPool,
|  | uint32_t | query,
|  | QueryControlFlags | flags,
|  | uint32_t | index,
|  | Dispatch const & | d
| ) |  | const

Definition at line 39346 of file vulkan.hpp.

{
d.vkCmdBeginQueryIndexedEXT( m_commandBuffer, static_cast<VkQueryPool>( queryPool ), query, static_cast<VkQueryControlFlags>( flags ), index );
}

References d, and m_commandBuffer.

## beginQueryIndexedEXT() [2/2]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::beginQueryIndexedEXT | ( | QueryPool | queryPool,
|  | uint32_t | query,
|  | QueryControlFlags | flags,
|  | uint32_t | index,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## beginRenderPass() [1/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::beginRenderPass | ( | const RenderPassBeginInfo & | renderPassBegin,
|  | SubpassContents | contents,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38861 of file vulkan.hpp.

{
d.vkCmdBeginRenderPass( m_commandBuffer, reinterpret_cast<const VkRenderPassBeginInfo*>( &renderPassBegin ), static_cast<VkSubpassContents>( contents ) );
}

References d, and m_commandBuffer.

## beginRenderPass() [2/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::beginRenderPass | ( | const RenderPassBeginInfo & | renderPassBegin,
|  | SubpassContents | contents,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## beginRenderPass() [3/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::beginRenderPass | ( | const RenderPassBeginInfo * | pRenderPassBegin,
|  | SubpassContents | contents,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38855 of file vulkan.hpp.

{
d.vkCmdBeginRenderPass( m_commandBuffer, reinterpret_cast<const VkRenderPassBeginInfo*>( pRenderPassBegin ), static_cast<VkSubpassContents>( contents ) );
}

References d, and m_commandBuffer.

## beginRenderPass() [4/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::beginRenderPass | ( | const RenderPassBeginInfo * | pRenderPassBegin,
|  | SubpassContents | contents,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## beginRenderPass2KHR() [1/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::beginRenderPass2KHR | ( | const RenderPassBeginInfo & | renderPassBegin,
|  | const SubpassBeginInfoKHR & | subpassBeginInfo,
|  | Dispatch const & | d
| ) |  | const

Definition at line 39185 of file vulkan.hpp.

{
d.vkCmdBeginRenderPass2KHR( m_commandBuffer, reinterpret_cast<const VkRenderPassBeginInfo*>( &renderPassBegin ), reinterpret_cast<const VkSubpassBeginInfoKHR*>( &subpassBeginInfo ) );
}

References d, and m_commandBuffer.

## beginRenderPass2KHR() [2/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::beginRenderPass2KHR | ( | const RenderPassBeginInfo & | renderPassBegin,
|  | const SubpassBeginInfoKHR & | subpassBeginInfo,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## beginRenderPass2KHR() [3/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::beginRenderPass2KHR | ( | const RenderPassBeginInfo * | pRenderPassBegin,
|  | const SubpassBeginInfoKHR * | pSubpassBeginInfo,
|  | Dispatch const & | d
| ) |  | const

Definition at line 39179 of file vulkan.hpp.

{
d.vkCmdBeginRenderPass2KHR( m_commandBuffer, reinterpret_cast<const VkRenderPassBeginInfo*>( pRenderPassBegin ), reinterpret_cast<const VkSubpassBeginInfoKHR*>( pSubpassBeginInfo ) );
}

References d, and m_commandBuffer.

## beginRenderPass2KHR() [4/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::beginRenderPass2KHR | ( | const RenderPassBeginInfo * | pRenderPassBegin,
|  | const SubpassBeginInfoKHR * | pSubpassBeginInfo,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## beginTransformFeedbackEXT() [1/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::beginTransformFeedbackEXT | ( | uint32_t | firstCounterBuffer,
|  | ArrayProxy< const Buffer > | counterBuffers,
|  | ArrayProxy< const DeviceSize > | counterBufferOffsets,
|  | Dispatch const & | d
| ) |  | const

Definition at line 39303 of file vulkan.hpp.

{
#ifdef VULKAN_HPP_NO_EXCEPTIONS
VULKAN_HPP_ASSERT( counterBuffers.size() == counterBufferOffsets.size() );
#else
if ( counterBuffers.size() != counterBufferOffsets.size() )
{
throw LogicError( VULKAN_HPP_NAMESPACE_STRING "::CommandBuffer::beginTransformFeedbackEXT: counterBuffers.size() != counterBufferOffsets.size()" );
}
#endif // VULKAN_HPP_NO_EXCEPTIONS
d.vkCmdBeginTransformFeedbackEXT( m_commandBuffer, firstCounterBuffer, counterBuffers.size() , reinterpret_cast<const VkBuffer*>( counterBuffers.data() ), counterBufferOffsets.data() );
}

References d, VULKAN_HPP_NAMESPACE::ArrayProxy< T >::data(), m_commandBuffer, VULKAN_HPP_NAMESPACE::ArrayProxy< T >::size(), VULKAN_HPP_ASSERT, and VULKAN_HPP_NAMESPACE_STRING.

## beginTransformFeedbackEXT() [2/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::beginTransformFeedbackEXT | ( | uint32_t | firstCounterBuffer,
|  | ArrayProxy< const Buffer > | counterBuffers,
|  | ArrayProxy< const DeviceSize > | counterBufferOffsets,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## beginTransformFeedbackEXT() [3/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::beginTransformFeedbackEXT | ( | uint32_t | firstCounterBuffer,
|  | uint32_t | counterBufferCount,
|  | const Buffer * | pCounterBuffers,
|  | const DeviceSize * | pCounterBufferOffsets,
|  | Dispatch const & | d
| ) |  | const

Definition at line 39297 of file vulkan.hpp.

{
d.vkCmdBeginTransformFeedbackEXT( m_commandBuffer, firstCounterBuffer, counterBufferCount, reinterpret_cast<const VkBuffer*>( pCounterBuffers ), pCounterBufferOffsets );
}

References d, and m_commandBuffer.

## beginTransformFeedbackEXT() [4/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::beginTransformFeedbackEXT | ( | uint32_t | firstCounterBuffer,
|  | uint32_t | counterBufferCount,
|  | const Buffer * | pCounterBuffers,
|  | const DeviceSize * | pCounterBufferOffsets,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## bindDescriptorSets() [1/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::bindDescriptorSets | ( | PipelineBindPoint | pipelineBindPoint,
|  | PipelineLayout | layout,
|  | uint32_t | firstSet,
|  | ArrayProxy< const DescriptorSet > | descriptorSets,
|  | ArrayProxy< const uint32_t > | dynamicOffsets,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38421 of file vulkan.hpp.

{
d.vkCmdBindDescriptorSets( m_commandBuffer, static_cast<VkPipelineBindPoint>( pipelineBindPoint ), static_cast<VkPipelineLayout>( layout ), firstSet, descriptorSets.size() , reinterpret_cast<const VkDescriptorSet*>( descriptorSets.data() ), dynamicOffsets.size() , dynamicOffsets.data() );
}

References d, VULKAN_HPP_NAMESPACE::ArrayProxy< T >::data(), m_commandBuffer, and VULKAN_HPP_NAMESPACE::ArrayProxy< T >::size().

## bindDescriptorSets() [2/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::bindDescriptorSets | ( | PipelineBindPoint | pipelineBindPoint,
|  | PipelineLayout | layout,
|  | uint32_t | firstSet,
|  | ArrayProxy< const DescriptorSet > | descriptorSets,
|  | ArrayProxy< const uint32_t > | dynamicOffsets,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## bindDescriptorSets() [3/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::bindDescriptorSets | ( | PipelineBindPoint | pipelineBindPoint,
|  | PipelineLayout | layout,
|  | uint32_t | firstSet,
|  | uint32_t | descriptorSetCount,
|  | const DescriptorSet * | pDescriptorSets,
|  | uint32_t | dynamicOffsetCount,
|  | const uint32_t * | pDynamicOffsets,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38415 of file vulkan.hpp.

{
d.vkCmdBindDescriptorSets( m_commandBuffer, static_cast<VkPipelineBindPoint>( pipelineBindPoint ), static_cast<VkPipelineLayout>( layout ), firstSet, descriptorSetCount, reinterpret_cast<const VkDescriptorSet*>( pDescriptorSets ), dynamicOffsetCount, pDynamicOffsets );
}

References d, and m_commandBuffer.

## bindDescriptorSets() [4/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::bindDescriptorSets | ( | PipelineBindPoint | pipelineBindPoint,
|  | PipelineLayout | layout,
|  | uint32_t | firstSet,
|  | uint32_t | descriptorSetCount,
|  | const DescriptorSet * | pDescriptorSets,
|  | uint32_t | dynamicOffsetCount,
|  | const uint32_t * | pDynamicOffsets,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## bindIndexBuffer() [1/2]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::bindIndexBuffer | ( | Buffer | buffer,
|  | DeviceSize | offset,
|  | IndexType | indexType,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38435 of file vulkan.hpp.

{
d.vkCmdBindIndexBuffer( m_commandBuffer, static_cast<VkBuffer>( buffer ), offset, static_cast<VkIndexType>( indexType ) );
}

References d, and m_commandBuffer.

## bindIndexBuffer() [2/2]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::bindIndexBuffer | ( | Buffer | buffer,
|  | DeviceSize | offset,
|  | IndexType | indexType,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## bindPipeline() [1/2]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::bindPipeline | ( | PipelineBindPoint | pipelineBindPoint,
|  | Pipeline | pipeline,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38284 of file vulkan.hpp.

{
d.vkCmdBindPipeline( m_commandBuffer, static_cast<VkPipelineBindPoint>( pipelineBindPoint ), static_cast<VkPipeline>( pipeline ) );
}

References d, and m_commandBuffer.

## bindPipeline() [2/2]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::bindPipeline | ( | PipelineBindPoint | pipelineBindPoint,
|  | Pipeline | pipeline,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## bindShadingRateImageNV() [1/2]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::bindShadingRateImageNV | ( | ImageView | imageView,
|  | ImageLayout | imageLayout,
|  | Dispatch const & | d
| ) |  | const

Definition at line 39401 of file vulkan.hpp.

{
d.vkCmdBindShadingRateImageNV( m_commandBuffer, static_cast<VkImageView>( imageView ), static_cast<VkImageLayout>( imageLayout ) );
}

References d, and m_commandBuffer.

## bindShadingRateImageNV() [2/2]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::bindShadingRateImageNV | ( | ImageView | imageView,
|  | ImageLayout | imageLayout,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## bindTransformFeedbackBuffersEXT() [1/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::bindTransformFeedbackBuffersEXT | ( | uint32_t | firstBinding,
|  | ArrayProxy< const Buffer > | buffers,
|  | ArrayProxy< const DeviceSize > | offsets,
|  | ArrayProxy< const DeviceSize > | sizes,
|  | Dispatch const & | d
| ) |  | const

Definition at line 39266 of file vulkan.hpp.

{
#ifdef VULKAN_HPP_NO_EXCEPTIONS
VULKAN_HPP_ASSERT( buffers.size() == offsets.size() );
#else
if ( buffers.size() != offsets.size() )
{
throw LogicError( VULKAN_HPP_NAMESPACE_STRING "::CommandBuffer::bindTransformFeedbackBuffersEXT: buffers.size() != offsets.size()" );
}
#endif // VULKAN_HPP_NO_EXCEPTIONS
#ifdef VULKAN_HPP_NO_EXCEPTIONS
VULKAN_HPP_ASSERT( buffers.size() == sizes.size() );
#else
if ( buffers.size() != sizes.size() )
{
throw LogicError( VULKAN_HPP_NAMESPACE_STRING "::CommandBuffer::bindTransformFeedbackBuffersEXT: buffers.size() != sizes.size()" );
}
#endif // VULKAN_HPP_NO_EXCEPTIONS
#ifdef VULKAN_HPP_NO_EXCEPTIONS
VULKAN_HPP_ASSERT( offsets.size() == sizes.size() );
#else
if ( offsets.size() != sizes.size() )
{
throw LogicError( VULKAN_HPP_NAMESPACE_STRING "::CommandBuffer::bindTransformFeedbackBuffersEXT: offsets.size() != sizes.size()" );
}
#endif // VULKAN_HPP_NO_EXCEPTIONS
d.vkCmdBindTransformFeedbackBuffersEXT( m_commandBuffer, firstBinding, buffers.size() , reinterpret_cast<const VkBuffer*>( buffers.data() ), offsets.data(), sizes.data() );
}

References d, m_commandBuffer, VULKAN_HPP_ASSERT, and VULKAN_HPP_NAMESPACE_STRING.

## bindTransformFeedbackBuffersEXT() [2/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::bindTransformFeedbackBuffersEXT | ( | uint32_t | firstBinding,
|  | ArrayProxy< const Buffer > | buffers,
|  | ArrayProxy< const DeviceSize > | offsets,
|  | ArrayProxy< const DeviceSize > | sizes,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## bindTransformFeedbackBuffersEXT() [3/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::bindTransformFeedbackBuffersEXT | ( | uint32_t | firstBinding,
|  | uint32_t | bindingCount,
|  | const Buffer * | pBuffers,
|  | const DeviceSize * | pOffsets,
|  | const DeviceSize * | pSizes,
|  | Dispatch const & | d
| ) |  | const

Definition at line 39260 of file vulkan.hpp.

{
d.vkCmdBindTransformFeedbackBuffersEXT( m_commandBuffer, firstBinding, bindingCount, reinterpret_cast<const VkBuffer*>( pBuffers ), pOffsets, pSizes );
}

References d, and m_commandBuffer.

## bindTransformFeedbackBuffersEXT() [4/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::bindTransformFeedbackBuffersEXT | ( | uint32_t | firstBinding,
|  | uint32_t | bindingCount,
|  | const Buffer * | pBuffers,
|  | const DeviceSize * | pOffsets,
|  | const DeviceSize * | pSizes,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## bindVertexBuffers() [1/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::bindVertexBuffers | ( | uint32_t | firstBinding,
|  | ArrayProxy< const Buffer > | buffers,
|  | ArrayProxy< const DeviceSize > | offsets,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38448 of file vulkan.hpp.

{
#ifdef VULKAN_HPP_NO_EXCEPTIONS
VULKAN_HPP_ASSERT( buffers.size() == offsets.size() );
#else
if ( buffers.size() != offsets.size() )
{
throw LogicError( VULKAN_HPP_NAMESPACE_STRING "::CommandBuffer::bindVertexBuffers: buffers.size() != offsets.size()" );
}
#endif // VULKAN_HPP_NO_EXCEPTIONS
d.vkCmdBindVertexBuffers( m_commandBuffer, firstBinding, buffers.size() , reinterpret_cast<const VkBuffer*>( buffers.data() ), offsets.data() );
}

References d, m_commandBuffer, VULKAN_HPP_ASSERT, and VULKAN_HPP_NAMESPACE_STRING.

## bindVertexBuffers() [2/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::bindVertexBuffers | ( | uint32_t | firstBinding,
|  | ArrayProxy< const Buffer > | buffers,
|  | ArrayProxy< const DeviceSize > | offsets,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## bindVertexBuffers() [3/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::bindVertexBuffers | ( | uint32_t | firstBinding,
|  | uint32_t | bindingCount,
|  | const Buffer * | pBuffers,
|  | const DeviceSize * | pOffsets,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38442 of file vulkan.hpp.

{
d.vkCmdBindVertexBuffers( m_commandBuffer, firstBinding, bindingCount, reinterpret_cast<const VkBuffer*>( pBuffers ), pOffsets );
}

References d, and m_commandBuffer.

## bindVertexBuffers() [4/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::bindVertexBuffers | ( | uint32_t | firstBinding,
|  | uint32_t | bindingCount,
|  | const Buffer * | pBuffers,
|  | const DeviceSize * | pOffsets,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## blitImage() [1/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::blitImage | ( | Image | srcImage,
|  | ImageLayout | srcImageLayout,
|  | Image | dstImage,
|  | ImageLayout | dstImageLayout,
|  | ArrayProxy< const ImageBlit > | regions,
|  | Filter | filter,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38579 of file vulkan.hpp.

{
d.vkCmdBlitImage( m_commandBuffer, static_cast<VkImage>( srcImage ), static_cast<VkImageLayout>( srcImageLayout ), static_cast<VkImage>( dstImage ), static_cast<VkImageLayout>( dstImageLayout ), regions.size() , reinterpret_cast<const VkImageBlit*>( regions.data() ), static_cast<VkFilter>( filter ) );
}

References d, VULKAN_HPP_NAMESPACE::ArrayProxy< T >::data(), m_commandBuffer, and VULKAN_HPP_NAMESPACE::ArrayProxy< T >::size().

## blitImage() [2/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::blitImage | ( | Image | srcImage,
|  | ImageLayout | srcImageLayout,
|  | Image | dstImage,
|  | ImageLayout | dstImageLayout,
|  | ArrayProxy< const ImageBlit > | regions,
|  | Filter | filter,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## blitImage() [3/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::blitImage | ( | Image | srcImage,
|  | ImageLayout | srcImageLayout,
|  | Image | dstImage,
|  | ImageLayout | dstImageLayout,
|  | uint32_t | regionCount,
|  | const ImageBlit * | pRegions,
|  | Filter | filter,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38573 of file vulkan.hpp.

{
d.vkCmdBlitImage( m_commandBuffer, static_cast<VkImage>( srcImage ), static_cast<VkImageLayout>( srcImageLayout ), static_cast<VkImage>( dstImage ), static_cast<VkImageLayout>( dstImageLayout ), regionCount, reinterpret_cast<const VkImageBlit*>( pRegions ), static_cast<VkFilter>( filter ) );
}

References d, and m_commandBuffer.

## blitImage() [4/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::blitImage | ( | Image | srcImage,
|  | ImageLayout | srcImageLayout,
|  | Image | dstImage,
|  | ImageLayout | dstImageLayout,
|  | uint32_t | regionCount,
|  | const ImageBlit * | pRegions,
|  | Filter | filter,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## buildAccelerationStructureNV() [1/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::buildAccelerationStructureNV | ( | const AccelerationStructureInfoNV & | info,
|  | Buffer | instanceData,
|  | DeviceSize | instanceOffset,
|  | Bool32 | update,
|  | AccelerationStructureNV | dst,
|  | AccelerationStructureNV | src,
|  | Buffer | scratch,
|  | DeviceSize | scratchOffset,
|  | Dispatch const & | d
| ) |  | const

Definition at line 39509 of file vulkan.hpp.

{
d.vkCmdBuildAccelerationStructureNV( m_commandBuffer, reinterpret_cast<const VkAccelerationStructureInfoNV*>( &info ), static_cast<VkBuffer>( instanceData ), instanceOffset, update, static_cast<VkAccelerationStructureNV>( dst ), static_cast<VkAccelerationStructureNV>( src ), static_cast<VkBuffer>( scratch ), scratchOffset );
}

References d, and m_commandBuffer.

## buildAccelerationStructureNV() [2/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::buildAccelerationStructureNV | ( | const AccelerationStructureInfoNV & | info,
|  | Buffer | instanceData,
|  | DeviceSize | instanceOffset,
|  | Bool32 | update,
|  | AccelerationStructureNV | dst,
|  | AccelerationStructureNV | src,
|  | Buffer | scratch,
|  | DeviceSize | scratchOffset,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## buildAccelerationStructureNV() [3/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::buildAccelerationStructureNV | ( | const AccelerationStructureInfoNV * | pInfo,
|  | Buffer | instanceData,
|  | DeviceSize | instanceOffset,
|  | Bool32 | update,
|  | AccelerationStructureNV | dst,
|  | AccelerationStructureNV | src,
|  | Buffer | scratch,
|  | DeviceSize | scratchOffset,
|  | Dispatch const & | d
| ) |  | const

Definition at line 39503 of file vulkan.hpp.

{
d.vkCmdBuildAccelerationStructureNV( m_commandBuffer, reinterpret_cast<const VkAccelerationStructureInfoNV*>( pInfo ), static_cast<VkBuffer>( instanceData ), instanceOffset, update, static_cast<VkAccelerationStructureNV>( dst ), static_cast<VkAccelerationStructureNV>( src ), static_cast<VkBuffer>( scratch ), scratchOffset );
}

References d, and m_commandBuffer.

## buildAccelerationStructureNV() [4/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::buildAccelerationStructureNV | ( | const AccelerationStructureInfoNV * | pInfo,
|  | Buffer | instanceData,
|  | DeviceSize | instanceOffset,
|  | Bool32 | update,
|  | AccelerationStructureNV | dst,
|  | AccelerationStructureNV | src,
|  | Buffer | scratch,
|  | DeviceSize | scratchOffset,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## clearAttachments() [1/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::clearAttachments | ( | ArrayProxy< const ClearAttachment > | attachments,
|  | ArrayProxy< const ClearRect > | rects,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38671 of file vulkan.hpp.

{
d.vkCmdClearAttachments( m_commandBuffer, attachments.size() , reinterpret_cast<const VkClearAttachment*>( attachments.data() ), rects.size() , reinterpret_cast<const VkClearRect*>( rects.data() ) );
}

References d, and m_commandBuffer.

## clearAttachments() [2/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::clearAttachments | ( | ArrayProxy< const ClearAttachment > | attachments,
|  | ArrayProxy< const ClearRect > | rects,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## clearAttachments() [3/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::clearAttachments | ( | uint32_t | attachmentCount,
|  | const ClearAttachment * | pAttachments,
|  | uint32_t | rectCount,
|  | const ClearRect * | pRects,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38665 of file vulkan.hpp.

{
d.vkCmdClearAttachments( m_commandBuffer, attachmentCount, reinterpret_cast<const VkClearAttachment*>( pAttachments ), rectCount, reinterpret_cast<const VkClearRect*>( pRects ) );
}

References d, and m_commandBuffer.

## clearAttachments() [4/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::clearAttachments | ( | uint32_t | attachmentCount,
|  | const ClearAttachment * | pAttachments,
|  | uint32_t | rectCount,
|  | const ClearRect * | pRects,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## clearColorImage() [1/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::clearColorImage | ( | Image | image,
|  | ImageLayout | imageLayout,
|  | const ClearColorValue & | color,
|  | ArrayProxy< const ImageSubresourceRange > | ranges,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38645 of file vulkan.hpp.

{
d.vkCmdClearColorImage( m_commandBuffer, static_cast<VkImage>( image ), static_cast<VkImageLayout>( imageLayout ), reinterpret_cast<const VkClearColorValue*>( &color ), ranges.size() , reinterpret_cast<const VkImageSubresourceRange*>( ranges.data() ) );
}

References d, VULKAN_HPP_NAMESPACE::ArrayProxy< T >::data(), m_commandBuffer, and VULKAN_HPP_NAMESPACE::ArrayProxy< T >::size().

## clearColorImage() [2/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::clearColorImage | ( | Image | image,
|  | ImageLayout | imageLayout,
|  | const ClearColorValue & | color,
|  | ArrayProxy< const ImageSubresourceRange > | ranges,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## clearColorImage() [3/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::clearColorImage | ( | Image | image,
|  | ImageLayout | imageLayout,
|  | const ClearColorValue * | pColor,
|  | uint32_t | rangeCount,
|  | const ImageSubresourceRange * | pRanges,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38639 of file vulkan.hpp.

{
d.vkCmdClearColorImage( m_commandBuffer, static_cast<VkImage>( image ), static_cast<VkImageLayout>( imageLayout ), reinterpret_cast<const VkClearColorValue*>( pColor ), rangeCount, reinterpret_cast<const VkImageSubresourceRange*>( pRanges ) );
}

References d, and m_commandBuffer.

## clearColorImage() [4/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::clearColorImage | ( | Image | image,
|  | ImageLayout | imageLayout,
|  | const ClearColorValue * | pColor,
|  | uint32_t | rangeCount,
|  | const ImageSubresourceRange * | pRanges,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## clearDepthStencilImage() [1/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::clearDepthStencilImage | ( | Image | image,
|  | ImageLayout | imageLayout,
|  | const ClearDepthStencilValue & | depthStencil,
|  | ArrayProxy< const ImageSubresourceRange > | ranges,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38658 of file vulkan.hpp.

{
d.vkCmdClearDepthStencilImage( m_commandBuffer, static_cast<VkImage>( image ), static_cast<VkImageLayout>( imageLayout ), reinterpret_cast<const VkClearDepthStencilValue*>( &depthStencil ), ranges.size() , reinterpret_cast<const VkImageSubresourceRange*>( ranges.data() ) );
}

References d, VULKAN_HPP_NAMESPACE::ArrayProxy< T >::data(), m_commandBuffer, and VULKAN_HPP_NAMESPACE::ArrayProxy< T >::size().

## clearDepthStencilImage() [2/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::clearDepthStencilImage | ( | Image | image,
|  | ImageLayout | imageLayout,
|  | const ClearDepthStencilValue & | depthStencil,
|  | ArrayProxy< const ImageSubresourceRange > | ranges,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## clearDepthStencilImage() [3/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::clearDepthStencilImage | ( | Image | image,
|  | ImageLayout | imageLayout,
|  | const ClearDepthStencilValue * | pDepthStencil,
|  | uint32_t | rangeCount,
|  | const ImageSubresourceRange * | pRanges,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38652 of file vulkan.hpp.

{
d.vkCmdClearDepthStencilImage( m_commandBuffer, static_cast<VkImage>( image ), static_cast<VkImageLayout>( imageLayout ), reinterpret_cast<const VkClearDepthStencilValue*>( pDepthStencil ), rangeCount, reinterpret_cast<const VkImageSubresourceRange*>( pRanges ) );
}

References d, and m_commandBuffer.

## clearDepthStencilImage() [4/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::clearDepthStencilImage | ( | Image | image,
|  | ImageLayout | imageLayout,
|  | const ClearDepthStencilValue * | pDepthStencil,
|  | uint32_t | rangeCount,
|  | const ImageSubresourceRange * | pRanges,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## copyAccelerationStructureNV() [1/2]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::copyAccelerationStructureNV | ( | AccelerationStructureNV | dst,
|  | AccelerationStructureNV | src,
|  | CopyAccelerationStructureModeNV | mode,
|  | Dispatch const & | d
| ) |  | const

Definition at line 39483 of file vulkan.hpp.

{
d.vkCmdCopyAccelerationStructureNV( m_commandBuffer, static_cast<VkAccelerationStructureNV>( dst ), static_cast<VkAccelerationStructureNV>( src ), static_cast<VkCopyAccelerationStructureModeNV>( mode ) );
}

References d, and m_commandBuffer.

## copyAccelerationStructureNV() [2/2]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::copyAccelerationStructureNV | ( | AccelerationStructureNV | dst,
|  | AccelerationStructureNV | src,
|  | CopyAccelerationStructureModeNV | mode,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## copyBuffer() [1/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::copyBuffer | ( | Buffer | srcBuffer,
|  | Buffer | dstBuffer,
|  | ArrayProxy< const BufferCopy > | regions,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38553 of file vulkan.hpp.

{
d.vkCmdCopyBuffer( m_commandBuffer, static_cast<VkBuffer>( srcBuffer ), static_cast<VkBuffer>( dstBuffer ), regions.size() , reinterpret_cast<const VkBufferCopy*>( regions.data() ) );
}

References d, VULKAN_HPP_NAMESPACE::ArrayProxy< T >::data(), m_commandBuffer, and VULKAN_HPP_NAMESPACE::ArrayProxy< T >::size().

## copyBuffer() [2/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::copyBuffer | ( | Buffer | srcBuffer,
|  | Buffer | dstBuffer,
|  | ArrayProxy< const BufferCopy > | regions,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## copyBuffer() [3/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::copyBuffer | ( | Buffer | srcBuffer,
|  | Buffer | dstBuffer,
|  | uint32_t | regionCount,
|  | const BufferCopy * | pRegions,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38547 of file vulkan.hpp.

{
d.vkCmdCopyBuffer( m_commandBuffer, static_cast<VkBuffer>( srcBuffer ), static_cast<VkBuffer>( dstBuffer ), regionCount, reinterpret_cast<const VkBufferCopy*>( pRegions ) );
}

References d, and m_commandBuffer.

## copyBuffer() [4/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::copyBuffer | ( | Buffer | srcBuffer,
|  | Buffer | dstBuffer,
|  | uint32_t | regionCount,
|  | const BufferCopy * | pRegions,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## copyBufferToImage() [1/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::copyBufferToImage | ( | Buffer | srcBuffer,
|  | Image | dstImage,
|  | ImageLayout | dstImageLayout,
|  | ArrayProxy< const BufferImageCopy > | regions,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38592 of file vulkan.hpp.

{
d.vkCmdCopyBufferToImage( m_commandBuffer, static_cast<VkBuffer>( srcBuffer ), static_cast<VkImage>( dstImage ), static_cast<VkImageLayout>( dstImageLayout ), regions.size() , reinterpret_cast<const VkBufferImageCopy*>( regions.data() ) );
}

References d, VULKAN_HPP_NAMESPACE::ArrayProxy< T >::data(), m_commandBuffer, and VULKAN_HPP_NAMESPACE::ArrayProxy< T >::size().

## copyBufferToImage() [2/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::copyBufferToImage | ( | Buffer | srcBuffer,
|  | Image | dstImage,
|  | ImageLayout | dstImageLayout,
|  | ArrayProxy< const BufferImageCopy > | regions,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## copyBufferToImage() [3/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::copyBufferToImage | ( | Buffer | srcBuffer,
|  | Image | dstImage,
|  | ImageLayout | dstImageLayout,
|  | uint32_t | regionCount,
|  | const BufferImageCopy * | pRegions,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38586 of file vulkan.hpp.

{
d.vkCmdCopyBufferToImage( m_commandBuffer, static_cast<VkBuffer>( srcBuffer ), static_cast<VkImage>( dstImage ), static_cast<VkImageLayout>( dstImageLayout ), regionCount, reinterpret_cast<const VkBufferImageCopy*>( pRegions ) );
}

References d, and m_commandBuffer.

## copyBufferToImage() [4/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::copyBufferToImage | ( | Buffer | srcBuffer,
|  | Image | dstImage,
|  | ImageLayout | dstImageLayout,
|  | uint32_t | regionCount,
|  | const BufferImageCopy * | pRegions,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## copyImage() [1/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::copyImage | ( | Image | srcImage,
|  | ImageLayout | srcImageLayout,
|  | Image | dstImage,
|  | ImageLayout | dstImageLayout,
|  | ArrayProxy< const ImageCopy > | regions,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38566 of file vulkan.hpp.

{
d.vkCmdCopyImage( m_commandBuffer, static_cast<VkImage>( srcImage ), static_cast<VkImageLayout>( srcImageLayout ), static_cast<VkImage>( dstImage ), static_cast<VkImageLayout>( dstImageLayout ), regions.size() , reinterpret_cast<const VkImageCopy*>( regions.data() ) );
}

References d, VULKAN_HPP_NAMESPACE::ArrayProxy< T >::data(), m_commandBuffer, and VULKAN_HPP_NAMESPACE::ArrayProxy< T >::size().

## copyImage() [2/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::copyImage | ( | Image | srcImage,
|  | ImageLayout | srcImageLayout,
|  | Image | dstImage,
|  | ImageLayout | dstImageLayout,
|  | ArrayProxy< const ImageCopy > | regions,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## copyImage() [3/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::copyImage | ( | Image | srcImage,
|  | ImageLayout | srcImageLayout,
|  | Image | dstImage,
|  | ImageLayout | dstImageLayout,
|  | uint32_t | regionCount,
|  | const ImageCopy * | pRegions,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38560 of file vulkan.hpp.

{
d.vkCmdCopyImage( m_commandBuffer, static_cast<VkImage>( srcImage ), static_cast<VkImageLayout>( srcImageLayout ), static_cast<VkImage>( dstImage ), static_cast<VkImageLayout>( dstImageLayout ), regionCount, reinterpret_cast<const VkImageCopy*>( pRegions ) );
}

References d, and m_commandBuffer.

## copyImage() [4/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::copyImage | ( | Image | srcImage,
|  | ImageLayout | srcImageLayout,
|  | Image | dstImage,
|  | ImageLayout | dstImageLayout,
|  | uint32_t | regionCount,
|  | const ImageCopy * | pRegions,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## copyImageToBuffer() [1/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::copyImageToBuffer | ( | Image | srcImage,
|  | ImageLayout | srcImageLayout,
|  | Buffer | dstBuffer,
|  | ArrayProxy< const BufferImageCopy > | regions,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38605 of file vulkan.hpp.

{
d.vkCmdCopyImageToBuffer( m_commandBuffer, static_cast<VkImage>( srcImage ), static_cast<VkImageLayout>( srcImageLayout ), static_cast<VkBuffer>( dstBuffer ), regions.size() , reinterpret_cast<const VkBufferImageCopy*>( regions.data() ) );
}

References d, VULKAN_HPP_NAMESPACE::ArrayProxy< T >::data(), m_commandBuffer, and VULKAN_HPP_NAMESPACE::ArrayProxy< T >::size().

## copyImageToBuffer() [2/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::copyImageToBuffer | ( | Image | srcImage,
|  | ImageLayout | srcImageLayout,
|  | Buffer | dstBuffer,
|  | ArrayProxy< const BufferImageCopy > | regions,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## copyImageToBuffer() [3/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::copyImageToBuffer | ( | Image | srcImage,
|  | ImageLayout | srcImageLayout,
|  | Buffer | dstBuffer,
|  | uint32_t | regionCount,
|  | const BufferImageCopy * | pRegions,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38599 of file vulkan.hpp.

{
d.vkCmdCopyImageToBuffer( m_commandBuffer, static_cast<VkImage>( srcImage ), static_cast<VkImageLayout>( srcImageLayout ), static_cast<VkBuffer>( dstBuffer ), regionCount, reinterpret_cast<const VkBufferImageCopy*>( pRegions ) );
}

References d, and m_commandBuffer.

## copyImageToBuffer() [4/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::copyImageToBuffer | ( | Image | srcImage,
|  | ImageLayout | srcImageLayout,
|  | Buffer | dstBuffer,
|  | uint32_t | regionCount,
|  | const BufferImageCopy * | pRegions,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## copyQueryPoolResults() [1/2]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::copyQueryPoolResults | ( | QueryPool | queryPool,
|  | uint32_t | firstQuery,
|  | uint32_t | queryCount,
|  | Buffer | dstBuffer,
|  | DeviceSize | dstOffset,
|  | DeviceSize | stride,
|  | QueryResultFlags | flags,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38835 of file vulkan.hpp.

{
d.vkCmdCopyQueryPoolResults( m_commandBuffer, static_cast<VkQueryPool>( queryPool ), firstQuery, queryCount, static_cast<VkBuffer>( dstBuffer ), dstOffset, stride, static_cast<VkQueryResultFlags>( flags ) );
}

References d, and m_commandBuffer.

## copyQueryPoolResults() [2/2]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::copyQueryPoolResults | ( | QueryPool | queryPool,
|  | uint32_t | firstQuery,
|  | uint32_t | queryCount,
|  | Buffer | dstBuffer,
|  | DeviceSize | dstOffset,
|  | DeviceSize | stride,
|  | QueryResultFlags | flags,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## debugMarkerBeginEXT() [1/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::debugMarkerBeginEXT | ( | const DebugMarkerMarkerInfoEXT & | markerInfo,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38915 of file vulkan.hpp.

{
d.vkCmdDebugMarkerBeginEXT( m_commandBuffer, reinterpret_cast<const VkDebugMarkerMarkerInfoEXT*>( &markerInfo ) );
}

References d, and m_commandBuffer.

## debugMarkerBeginEXT() [2/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::debugMarkerBeginEXT | ( | const DebugMarkerMarkerInfoEXT & | markerInfo,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## debugMarkerBeginEXT() [3/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::debugMarkerBeginEXT | ( | const DebugMarkerMarkerInfoEXT * | pMarkerInfo,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38909 of file vulkan.hpp.

{
d.vkCmdDebugMarkerBeginEXT( m_commandBuffer, reinterpret_cast<const VkDebugMarkerMarkerInfoEXT*>( pMarkerInfo ) );
}

References d, and m_commandBuffer.

## debugMarkerBeginEXT() [4/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::debugMarkerBeginEXT | ( | const DebugMarkerMarkerInfoEXT * | pMarkerInfo,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## debugMarkerEndEXT() [1/2]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::debugMarkerEndEXT | ( | Dispatch const & | d | ) | const

Definition at line 38929 of file vulkan.hpp.

{
d.vkCmdDebugMarkerEndEXT( m_commandBuffer );
}

References d, and m_commandBuffer.

## debugMarkerEndEXT() [2/2]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::debugMarkerEndEXT | ( | Dispatch const & | d = `Dispatch()` | ) | const

## debugMarkerInsertEXT() [1/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::debugMarkerInsertEXT | ( | const DebugMarkerMarkerInfoEXT & | markerInfo,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38942 of file vulkan.hpp.

{
d.vkCmdDebugMarkerInsertEXT( m_commandBuffer, reinterpret_cast<const VkDebugMarkerMarkerInfoEXT*>( &markerInfo ) );
}

References d, and m_commandBuffer.

## debugMarkerInsertEXT() [2/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::debugMarkerInsertEXT | ( | const DebugMarkerMarkerInfoEXT & | markerInfo,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## debugMarkerInsertEXT() [3/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::debugMarkerInsertEXT | ( | const DebugMarkerMarkerInfoEXT * | pMarkerInfo,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38936 of file vulkan.hpp.

{
d.vkCmdDebugMarkerInsertEXT( m_commandBuffer, reinterpret_cast<const VkDebugMarkerMarkerInfoEXT*>( pMarkerInfo ) );
}

References d, and m_commandBuffer.

## debugMarkerInsertEXT() [4/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::debugMarkerInsertEXT | ( | const DebugMarkerMarkerInfoEXT * | pMarkerInfo,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## dispatch() [1/2]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::dispatch | ( | uint32_t | groupCountX,
|  | uint32_t | groupCountY,
|  | uint32_t | groupCountZ,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38526 of file vulkan.hpp.

{
d.vkCmdDispatch( m_commandBuffer, groupCountX, groupCountY, groupCountZ );
}

References d, and m_commandBuffer.

## dispatch() [2/2]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::dispatch | ( | uint32_t | groupCountX,
|  | uint32_t | groupCountY,
|  | uint32_t | groupCountZ,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## dispatchBase() [1/2]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::dispatchBase | ( | uint32_t | baseGroupX,
|  | uint32_t | baseGroupY,
|  | uint32_t | baseGroupZ,
|  | uint32_t | groupCountX,
|  | uint32_t | groupCountY,
|  | uint32_t | groupCountZ,
|  | Dispatch const & | d
| ) |  | const

Definition at line 39051 of file vulkan.hpp.

{
d.vkCmdDispatchBase( m_commandBuffer, baseGroupX, baseGroupY, baseGroupZ, groupCountX, groupCountY, groupCountZ );
}

References d, and m_commandBuffer.

## dispatchBase() [2/2]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::dispatchBase | ( | uint32_t | baseGroupX,
|  | uint32_t | baseGroupY,
|  | uint32_t | baseGroupZ,
|  | uint32_t | groupCountX,
|  | uint32_t | groupCountY,
|  | uint32_t | groupCountZ,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## dispatchBaseKHR() [1/2]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::dispatchBaseKHR | ( | uint32_t | baseGroupX,
|  | uint32_t | baseGroupY,
|  | uint32_t | baseGroupZ,
|  | uint32_t | groupCountX,
|  | uint32_t | groupCountY,
|  | uint32_t | groupCountZ,
|  | Dispatch const & | d
| ) |  | const

Definition at line 39065 of file vulkan.hpp.

{
d.vkCmdDispatchBaseKHR( m_commandBuffer, baseGroupX, baseGroupY, baseGroupZ, groupCountX, groupCountY, groupCountZ );
}

References d, and m_commandBuffer.

## dispatchBaseKHR() [2/2]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::dispatchBaseKHR | ( | uint32_t | baseGroupX,
|  | uint32_t | baseGroupY,
|  | uint32_t | baseGroupZ,
|  | uint32_t | groupCountX,
|  | uint32_t | groupCountY,
|  | uint32_t | groupCountZ,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## dispatchIndirect() [1/2]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::dispatchIndirect | ( | Buffer | buffer,
|  | DeviceSize | offset,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38540 of file vulkan.hpp.

{
d.vkCmdDispatchIndirect( m_commandBuffer, static_cast<VkBuffer>( buffer ), offset );
}

References d, and m_commandBuffer.

## dispatchIndirect() [2/2]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::dispatchIndirect | ( | Buffer | buffer,
|  | DeviceSize | offset,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## draw() [1/2]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::draw | ( | uint32_t | vertexCount,
|  | uint32_t | instanceCount,
|  | uint32_t | firstVertex,
|  | uint32_t | firstInstance,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38470 of file vulkan.hpp.

{
d.vkCmdDraw( m_commandBuffer, vertexCount, instanceCount, firstVertex, firstInstance );
}

References d, and m_commandBuffer.

## draw() [2/2]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::draw | ( | uint32_t | vertexCount,
|  | uint32_t | instanceCount,
|  | uint32_t | firstVertex,
|  | uint32_t | firstInstance,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## drawIndexed() [1/2]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::drawIndexed | ( | uint32_t | indexCount,
|  | uint32_t | instanceCount,
|  | uint32_t | firstIndex,
|  | int32_t | vertexOffset,
|  | uint32_t | firstInstance,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38484 of file vulkan.hpp.

{
d.vkCmdDrawIndexed( m_commandBuffer, indexCount, instanceCount, firstIndex, vertexOffset, firstInstance );
}

References d, and m_commandBuffer.

## drawIndexed() [2/2]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::drawIndexed | ( | uint32_t | indexCount,
|  | uint32_t | instanceCount,
|  | uint32_t | firstIndex,
|  | int32_t | vertexOffset,
|  | uint32_t | firstInstance,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## drawIndexedIndirect() [1/2]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::drawIndexedIndirect | ( | Buffer | buffer,
|  | DeviceSize | offset,
|  | uint32_t | drawCount,
|  | uint32_t | stride,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38512 of file vulkan.hpp.

{
d.vkCmdDrawIndexedIndirect( m_commandBuffer, static_cast<VkBuffer>( buffer ), offset, drawCount, stride );
}

References d, and m_commandBuffer.

## drawIndexedIndirect() [2/2]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::drawIndexedIndirect | ( | Buffer | buffer,
|  | DeviceSize | offset,
|  | uint32_t | drawCount,
|  | uint32_t | stride,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## drawIndexedIndirectCountAMD() [1/2]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::drawIndexedIndirectCountAMD | ( | Buffer | buffer,
|  | DeviceSize | offset,
|  | Buffer | countBuffer,
|  | DeviceSize | countBufferOffset,
|  | uint32_t | maxDrawCount,
|  | uint32_t | stride,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38970 of file vulkan.hpp.

{
d.vkCmdDrawIndexedIndirectCountAMD( m_commandBuffer, static_cast<VkBuffer>( buffer ), offset, static_cast<VkBuffer>( countBuffer ), countBufferOffset, maxDrawCount, stride );
}

References d, and m_commandBuffer.

## drawIndexedIndirectCountAMD() [2/2]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::drawIndexedIndirectCountAMD | ( | Buffer | buffer,
|  | DeviceSize | offset,
|  | Buffer | countBuffer,
|  | DeviceSize | countBufferOffset,
|  | uint32_t | maxDrawCount,
|  | uint32_t | stride,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## drawIndexedIndirectCountKHR() [1/2]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::drawIndexedIndirectCountKHR | ( | Buffer | buffer,
|  | DeviceSize | offset,
|  | Buffer | countBuffer,
|  | DeviceSize | countBufferOffset,
|  | uint32_t | maxDrawCount,
|  | uint32_t | stride,
|  | Dispatch const & | d
| ) |  | const

Definition at line 39239 of file vulkan.hpp.

{
d.vkCmdDrawIndexedIndirectCountKHR( m_commandBuffer, static_cast<VkBuffer>( buffer ), offset, static_cast<VkBuffer>( countBuffer ), countBufferOffset, maxDrawCount, stride );
}

References d, and m_commandBuffer.

## drawIndexedIndirectCountKHR() [2/2]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::drawIndexedIndirectCountKHR | ( | Buffer | buffer,
|  | DeviceSize | offset,
|  | Buffer | countBuffer,
|  | DeviceSize | countBufferOffset,
|  | uint32_t | maxDrawCount,
|  | uint32_t | stride,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## drawIndirect() [1/2]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::drawIndirect | ( | Buffer | buffer,
|  | DeviceSize | offset,
|  | uint32_t | drawCount,
|  | uint32_t | stride,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38498 of file vulkan.hpp.

{
d.vkCmdDrawIndirect( m_commandBuffer, static_cast<VkBuffer>( buffer ), offset, drawCount, stride );
}

References d, and m_commandBuffer.

## drawIndirect() [2/2]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::drawIndirect | ( | Buffer | buffer,
|  | DeviceSize | offset,
|  | uint32_t | drawCount,
|  | uint32_t | stride,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## drawIndirectByteCountEXT() [1/2]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::drawIndirectByteCountEXT | ( | uint32_t | instanceCount,
|  | uint32_t | firstInstance,
|  | Buffer | counterBuffer,
|  | DeviceSize | counterBufferOffset,
|  | uint32_t | counterOffset,
|  | uint32_t | vertexStride,
|  | Dispatch const & | d
| ) |  | const

Definition at line 39374 of file vulkan.hpp.

{
d.vkCmdDrawIndirectByteCountEXT( m_commandBuffer, instanceCount, firstInstance, static_cast<VkBuffer>( counterBuffer ), counterBufferOffset, counterOffset, vertexStride );
}

References d, and m_commandBuffer.

## drawIndirectByteCountEXT() [2/2]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::drawIndirectByteCountEXT | ( | uint32_t | instanceCount,
|  | uint32_t | firstInstance,
|  | Buffer | counterBuffer,
|  | DeviceSize | counterBufferOffset,
|  | uint32_t | counterOffset,
|  | uint32_t | vertexStride,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## drawIndirectCountAMD() [1/2]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::drawIndirectCountAMD | ( | Buffer | buffer,
|  | DeviceSize | offset,
|  | Buffer | countBuffer,
|  | DeviceSize | countBufferOffset,
|  | uint32_t | maxDrawCount,
|  | uint32_t | stride,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38956 of file vulkan.hpp.

{
d.vkCmdDrawIndirectCountAMD( m_commandBuffer, static_cast<VkBuffer>( buffer ), offset, static_cast<VkBuffer>( countBuffer ), countBufferOffset, maxDrawCount, stride );
}

References d, and m_commandBuffer.

## drawIndirectCountAMD() [2/2]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::drawIndirectCountAMD | ( | Buffer | buffer,
|  | DeviceSize | offset,
|  | Buffer | countBuffer,
|  | DeviceSize | countBufferOffset,
|  | uint32_t | maxDrawCount,
|  | uint32_t | stride,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## drawIndirectCountKHR() [1/2]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::drawIndirectCountKHR | ( | Buffer | buffer,
|  | DeviceSize | offset,
|  | Buffer | countBuffer,
|  | DeviceSize | countBufferOffset,
|  | uint32_t | maxDrawCount,
|  | uint32_t | stride,
|  | Dispatch const & | d
| ) |  | const

Definition at line 39225 of file vulkan.hpp.

{
d.vkCmdDrawIndirectCountKHR( m_commandBuffer, static_cast<VkBuffer>( buffer ), offset, static_cast<VkBuffer>( countBuffer ), countBufferOffset, maxDrawCount, stride );
}

References d, and m_commandBuffer.

## drawIndirectCountKHR() [2/2]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::drawIndirectCountKHR | ( | Buffer | buffer,
|  | DeviceSize | offset,
|  | Buffer | countBuffer,
|  | DeviceSize | countBufferOffset,
|  | uint32_t | maxDrawCount,
|  | uint32_t | stride,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## drawMeshTasksIndirectCountNV() [1/2]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::drawMeshTasksIndirectCountNV | ( | Buffer | buffer,
|  | DeviceSize | offset,
|  | Buffer | countBuffer,
|  | DeviceSize | countBufferOffset,
|  | uint32_t | maxDrawCount,
|  | uint32_t | stride,
|  | Dispatch const & | d
| ) |  | const

Definition at line 39469 of file vulkan.hpp.

{
d.vkCmdDrawMeshTasksIndirectCountNV( m_commandBuffer, static_cast<VkBuffer>( buffer ), offset, static_cast<VkBuffer>( countBuffer ), countBufferOffset, maxDrawCount, stride );
}

References d, and m_commandBuffer.

## drawMeshTasksIndirectCountNV() [2/2]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::drawMeshTasksIndirectCountNV | ( | Buffer | buffer,
|  | DeviceSize | offset,
|  | Buffer | countBuffer,
|  | DeviceSize | countBufferOffset,
|  | uint32_t | maxDrawCount,
|  | uint32_t | stride,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## drawMeshTasksIndirectNV() [1/2]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::drawMeshTasksIndirectNV | ( | Buffer | buffer,
|  | DeviceSize | offset,
|  | uint32_t | drawCount,
|  | uint32_t | stride,
|  | Dispatch const & | d
| ) |  | const

Definition at line 39455 of file vulkan.hpp.

{
d.vkCmdDrawMeshTasksIndirectNV( m_commandBuffer, static_cast<VkBuffer>( buffer ), offset, drawCount, stride );
}

References d, and m_commandBuffer.

## drawMeshTasksIndirectNV() [2/2]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::drawMeshTasksIndirectNV | ( | Buffer | buffer,
|  | DeviceSize | offset,
|  | uint32_t | drawCount,
|  | uint32_t | stride,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## drawMeshTasksNV() [1/2]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::drawMeshTasksNV | ( | uint32_t | taskCount,
|  | uint32_t | firstTask,
|  | Dispatch const & | d
| ) |  | const

Definition at line 39441 of file vulkan.hpp.

{
d.vkCmdDrawMeshTasksNV( m_commandBuffer, taskCount, firstTask );
}

References d, and m_commandBuffer.

## drawMeshTasksNV() [2/2]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::drawMeshTasksNV | ( | uint32_t | taskCount,
|  | uint32_t | firstTask,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## end() [1/2]

template<typename Dispatch >

VULKAN_HPP_INLINE ResultValueType<void>::type VULKAN_HPP_NAMESPACE::CommandBuffer::end | ( | Dispatch const & | d | ) | const

Definition at line 38254 of file vulkan.hpp.

{
Result result = static_cast<Result>( d.vkEndCommandBuffer( m_commandBuffer ) );
return createResultValue( result, VULKAN_HPP_NAMESPACE_STRING"::CommandBuffer::end" );
}

References VULKAN_HPP_NAMESPACE::createResultValue(), d, m_commandBuffer, and VULKAN_HPP_NAMESPACE_STRING.

## end() [2/2]

template<typename Dispatch = DispatchLoaderStatic>

ResultValueType<void>::type VULKAN_HPP_NAMESPACE::CommandBuffer::end | ( | Dispatch const & | d = `Dispatch()` | ) | const

## endConditionalRenderingEXT() [1/2]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::endConditionalRenderingEXT | ( | Dispatch const & | d | ) | const

Definition at line 38793 of file vulkan.hpp.

{
d.vkCmdEndConditionalRenderingEXT( m_commandBuffer );
}

References d, and m_commandBuffer.

## endConditionalRenderingEXT() [2/2]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::endConditionalRenderingEXT | ( | Dispatch const & | d = `Dispatch()` | ) | const

## endDebugUtilsLabelEXT() [1/2]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::endDebugUtilsLabelEXT | ( | Dispatch const & | d | ) | const

Definition at line 39145 of file vulkan.hpp.

{
d.vkCmdEndDebugUtilsLabelEXT( m_commandBuffer );
}

References d, and m_commandBuffer.

## endDebugUtilsLabelEXT() [2/2]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::endDebugUtilsLabelEXT | ( | Dispatch const & | d = `Dispatch()` | ) | const

## endQuery() [1/2]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::endQuery | ( | QueryPool | queryPool,
|  | uint32_t | query,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38766 of file vulkan.hpp.

{
d.vkCmdEndQuery( m_commandBuffer, static_cast<VkQueryPool>( queryPool ), query );
}

References d, and m_commandBuffer.

## endQuery() [2/2]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::endQuery | ( | QueryPool | queryPool,
|  | uint32_t | query,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## endQueryIndexedEXT() [1/2]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::endQueryIndexedEXT | ( | QueryPool | queryPool,
|  | uint32_t | query,
|  | uint32_t | index,
|  | Dispatch const & | d
| ) |  | const

Definition at line 39360 of file vulkan.hpp.

{
d.vkCmdEndQueryIndexedEXT( m_commandBuffer, static_cast<VkQueryPool>( queryPool ), query, index );
}

References d, and m_commandBuffer.

## endQueryIndexedEXT() [2/2]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::endQueryIndexedEXT | ( | QueryPool | queryPool,
|  | uint32_t | query,
|  | uint32_t | index,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## endRenderPass() [1/2]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::endRenderPass | ( | Dispatch const & | d | ) | const

Definition at line 38889 of file vulkan.hpp.

{
d.vkCmdEndRenderPass( m_commandBuffer );
}

References d, and m_commandBuffer.

## endRenderPass() [2/2]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::endRenderPass | ( | Dispatch const & | d = `Dispatch()` | ) | const

## endRenderPass2KHR() [1/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::endRenderPass2KHR | ( | const SubpassEndInfoKHR & | subpassEndInfo,
|  | Dispatch const & | d
| ) |  | const

Definition at line 39211 of file vulkan.hpp.

{
d.vkCmdEndRenderPass2KHR( m_commandBuffer, reinterpret_cast<const VkSubpassEndInfoKHR*>( &subpassEndInfo ) );
}

References d, and m_commandBuffer.

## endRenderPass2KHR() [2/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::endRenderPass2KHR | ( | const SubpassEndInfoKHR & | subpassEndInfo,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## endRenderPass2KHR() [3/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::endRenderPass2KHR | ( | const SubpassEndInfoKHR * | pSubpassEndInfo,
|  | Dispatch const & | d
| ) |  | const

Definition at line 39205 of file vulkan.hpp.

{
d.vkCmdEndRenderPass2KHR( m_commandBuffer, reinterpret_cast<const VkSubpassEndInfoKHR*>( pSubpassEndInfo ) );
}

References d, and m_commandBuffer.

## endRenderPass2KHR() [4/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::endRenderPass2KHR | ( | const SubpassEndInfoKHR * | pSubpassEndInfo,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## endTransformFeedbackEXT() [1/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::endTransformFeedbackEXT | ( | uint32_t | firstCounterBuffer,
|  | ArrayProxy< const Buffer > | counterBuffers,
|  | ArrayProxy< const DeviceSize > | counterBufferOffsets,
|  | Dispatch const & | d
| ) |  | const

Definition at line 39324 of file vulkan.hpp.

{
#ifdef VULKAN_HPP_NO_EXCEPTIONS
VULKAN_HPP_ASSERT( counterBuffers.size() == counterBufferOffsets.size() );
#else
if ( counterBuffers.size() != counterBufferOffsets.size() )
{
throw LogicError( VULKAN_HPP_NAMESPACE_STRING "::CommandBuffer::endTransformFeedbackEXT: counterBuffers.size() != counterBufferOffsets.size()" );
}
#endif // VULKAN_HPP_NO_EXCEPTIONS
d.vkCmdEndTransformFeedbackEXT( m_commandBuffer, firstCounterBuffer, counterBuffers.size() , reinterpret_cast<const VkBuffer*>( counterBuffers.data() ), counterBufferOffsets.data() );
}

References d, VULKAN_HPP_NAMESPACE::ArrayProxy< T >::data(), m_commandBuffer, VULKAN_HPP_NAMESPACE::ArrayProxy< T >::size(), VULKAN_HPP_ASSERT, and VULKAN_HPP_NAMESPACE_STRING.

## endTransformFeedbackEXT() [2/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::endTransformFeedbackEXT | ( | uint32_t | firstCounterBuffer,
|  | ArrayProxy< const Buffer > | counterBuffers,
|  | ArrayProxy< const DeviceSize > | counterBufferOffsets,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## endTransformFeedbackEXT() [3/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::endTransformFeedbackEXT | ( | uint32_t | firstCounterBuffer,
|  | uint32_t | counterBufferCount,
|  | const Buffer * | pCounterBuffers,
|  | const DeviceSize * | pCounterBufferOffsets,
|  | Dispatch const & | d
| ) |  | const

Definition at line 39318 of file vulkan.hpp.

{
d.vkCmdEndTransformFeedbackEXT( m_commandBuffer, firstCounterBuffer, counterBufferCount, reinterpret_cast<const VkBuffer*>( pCounterBuffers ), pCounterBufferOffsets );
}

References d, and m_commandBuffer.

## endTransformFeedbackEXT() [4/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::endTransformFeedbackEXT | ( | uint32_t | firstCounterBuffer,
|  | uint32_t | counterBufferCount,
|  | const Buffer * | pCounterBuffers,
|  | const DeviceSize * | pCounterBufferOffsets,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## executeCommands() [1/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::executeCommands | ( | ArrayProxy< const CommandBuffer > | commandBuffers,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38902 of file vulkan.hpp.

{
d.vkCmdExecuteCommands( m_commandBuffer, commandBuffers.size() , reinterpret_cast<const VkCommandBuffer*>( commandBuffers.data() ) );
}

References d, VULKAN_HPP_NAMESPACE::ArrayProxy< T >::data(), m_commandBuffer, and VULKAN_HPP_NAMESPACE::ArrayProxy< T >::size().

## executeCommands() [2/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::executeCommands | ( | ArrayProxy< const CommandBuffer > | commandBuffers,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## executeCommands() [3/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::executeCommands | ( | uint32_t | commandBufferCount,
|  | const CommandBuffer * | pCommandBuffers,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38896 of file vulkan.hpp.

{
d.vkCmdExecuteCommands( m_commandBuffer, commandBufferCount, reinterpret_cast<const VkCommandBuffer*>( pCommandBuffers ) );
}

References d, and m_commandBuffer.

## executeCommands() [4/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::executeCommands | ( | uint32_t | commandBufferCount,
|  | const CommandBuffer * | pCommandBuffers,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## fillBuffer() [1/2]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::fillBuffer | ( | Buffer | dstBuffer,
|  | DeviceSize | dstOffset,
|  | DeviceSize | size,
|  | uint32_t | data,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38632 of file vulkan.hpp.

{
d.vkCmdFillBuffer( m_commandBuffer, static_cast<VkBuffer>( dstBuffer ), dstOffset, size, data );
}

References d, and m_commandBuffer.

## fillBuffer() [2/2]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::fillBuffer | ( | Buffer | dstBuffer,
|  | DeviceSize | dstOffset,
|  | DeviceSize | size,
|  | uint32_t | data,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## insertDebugUtilsLabelEXT() [1/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::insertDebugUtilsLabelEXT | ( | const DebugUtilsLabelEXT & | labelInfo,
|  | Dispatch const & | d
| ) |  | const

Definition at line 39158 of file vulkan.hpp.

{
d.vkCmdInsertDebugUtilsLabelEXT( m_commandBuffer, reinterpret_cast<const VkDebugUtilsLabelEXT*>( &labelInfo ) );
}

References d, and m_commandBuffer.

## insertDebugUtilsLabelEXT() [2/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::insertDebugUtilsLabelEXT | ( | const DebugUtilsLabelEXT & | labelInfo,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## insertDebugUtilsLabelEXT() [3/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::insertDebugUtilsLabelEXT | ( | const DebugUtilsLabelEXT * | pLabelInfo,
|  | Dispatch const & | d
| ) |  | const

Definition at line 39152 of file vulkan.hpp.

{
d.vkCmdInsertDebugUtilsLabelEXT( m_commandBuffer, reinterpret_cast<const VkDebugUtilsLabelEXT*>( pLabelInfo ) );
}

References d, and m_commandBuffer.

## insertDebugUtilsLabelEXT() [4/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::insertDebugUtilsLabelEXT | ( | const DebugUtilsLabelEXT * | pLabelInfo,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## nextSubpass() [1/2]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::nextSubpass | ( | SubpassContents | contents,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38875 of file vulkan.hpp.

{
d.vkCmdNextSubpass( m_commandBuffer, static_cast<VkSubpassContents>( contents ) );
}

References d, and m_commandBuffer.

## nextSubpass() [2/2]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::nextSubpass | ( | SubpassContents | contents,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## nextSubpass2KHR() [1/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::nextSubpass2KHR | ( | const SubpassBeginInfoKHR & | subpassBeginInfo,
|  | const SubpassEndInfoKHR & | subpassEndInfo,
|  | Dispatch const & | d
| ) |  | const

Definition at line 39198 of file vulkan.hpp.

{
d.vkCmdNextSubpass2KHR( m_commandBuffer, reinterpret_cast<const VkSubpassBeginInfoKHR*>( &subpassBeginInfo ), reinterpret_cast<const VkSubpassEndInfoKHR*>( &subpassEndInfo ) );
}

References d, and m_commandBuffer.

## nextSubpass2KHR() [2/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::nextSubpass2KHR | ( | const SubpassBeginInfoKHR & | subpassBeginInfo,
|  | const SubpassEndInfoKHR & | subpassEndInfo,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## nextSubpass2KHR() [3/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::nextSubpass2KHR | ( | const SubpassBeginInfoKHR * | pSubpassBeginInfo,
|  | const SubpassEndInfoKHR * | pSubpassEndInfo,
|  | Dispatch const & | d
| ) |  | const

Definition at line 39192 of file vulkan.hpp.

{
d.vkCmdNextSubpass2KHR( m_commandBuffer, reinterpret_cast<const VkSubpassBeginInfoKHR*>( pSubpassBeginInfo ), reinterpret_cast<const VkSubpassEndInfoKHR*>( pSubpassEndInfo ) );
}

References d, and m_commandBuffer.

## nextSubpass2KHR() [4/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::nextSubpass2KHR | ( | const SubpassBeginInfoKHR * | pSubpassBeginInfo,
|  | const SubpassEndInfoKHR * | pSubpassEndInfo,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## operator bool()

VULKAN_HPP_NAMESPACE::CommandBuffer::operator bool | ( |  | ) | const

inline explicit

Definition at line 38216 of file vulkan.hpp.

{
return m_commandBuffer != VK_NULL_HANDLE;
}

References m_commandBuffer, and VK_NULL_HANDLE.

## operator VkCommandBuffer()

VULKAN_HPP_TYPESAFE_EXPLICIT VULKAN_HPP_NAMESPACE::CommandBuffer::operator VkCommandBuffer | ( |  | ) | const

inline

Definition at line 38211 of file vulkan.hpp.

{
return m_commandBuffer;
}

References m_commandBuffer.

## operator!()

bool VULKAN_HPP_NAMESPACE::CommandBuffer::operator! | ( |  | ) | const

inline

Definition at line 38221 of file vulkan.hpp.

{
return m_commandBuffer == VK_NULL_HANDLE;
}

References m_commandBuffer, and VK_NULL_HANDLE.

## operator!=()

bool VULKAN_HPP_NAMESPACE::CommandBuffer::operator!= | ( | CommandBuffer const & | rhs | ) | const

inline

Definition at line 37745 of file vulkan.hpp.

{
return m_commandBuffer != rhs.m_commandBuffer;
}

References m_commandBuffer.

## operator<()

bool VULKAN_HPP_NAMESPACE::CommandBuffer::operator< | ( | CommandBuffer const & | rhs | ) | const

inline

Definition at line 37750 of file vulkan.hpp.

{
return m_commandBuffer < rhs.m_commandBuffer;
}

References m_commandBuffer.

## operator=()

CommandBuffer& VULKAN_HPP_NAMESPACE::CommandBuffer::operator= | ( | std::nullptr_t |  | ) |

inline

Definition at line 37734 of file vulkan.hpp.

{
m_commandBuffer = VK_NULL_HANDLE;
return *this;
}

References m_commandBuffer, and VK_NULL_HANDLE.

## operator==()

bool VULKAN_HPP_NAMESPACE::CommandBuffer::operator== | ( | CommandBuffer const & | rhs | ) | const

inline

Definition at line 37740 of file vulkan.hpp.

{
return m_commandBuffer == rhs.m_commandBuffer;
}

References m_commandBuffer.

## pipelineBarrier() [1/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::pipelineBarrier | ( | PipelineStageFlags | srcStageMask,
|  | PipelineStageFlags | dstStageMask,
|  | DependencyFlags | dependencyFlags,
|  | ArrayProxy< const MemoryBarrier > | memoryBarriers,
|  | ArrayProxy< const BufferMemoryBarrier > | bufferMemoryBarriers,
|  | ArrayProxy< const ImageMemoryBarrier > | imageMemoryBarriers,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38738 of file vulkan.hpp.

{
d.vkCmdPipelineBarrier( m_commandBuffer, static_cast<VkPipelineStageFlags>( srcStageMask ), static_cast<VkPipelineStageFlags>( dstStageMask ), static_cast<VkDependencyFlags>( dependencyFlags ), memoryBarriers.size() , reinterpret_cast<const VkMemoryBarrier*>( memoryBarriers.data() ), bufferMemoryBarriers.size() , reinterpret_cast<const VkBufferMemoryBarrier*>( bufferMemoryBarriers.data() ), imageMemoryBarriers.size() , reinterpret_cast<const VkImageMemoryBarrier*>( imageMemoryBarriers.data() ) );
}

References d, VULKAN_HPP_NAMESPACE::ArrayProxy< T >::data(), m_commandBuffer, and VULKAN_HPP_NAMESPACE::ArrayProxy< T >::size().

## pipelineBarrier() [2/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::pipelineBarrier | ( | PipelineStageFlags | srcStageMask,
|  | PipelineStageFlags | dstStageMask,
|  | DependencyFlags | dependencyFlags,
|  | ArrayProxy< const MemoryBarrier > | memoryBarriers,
|  | ArrayProxy< const BufferMemoryBarrier > | bufferMemoryBarriers,
|  | ArrayProxy< const ImageMemoryBarrier > | imageMemoryBarriers,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## pipelineBarrier() [3/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::pipelineBarrier | ( | PipelineStageFlags | srcStageMask,
|  | PipelineStageFlags | dstStageMask,
|  | DependencyFlags | dependencyFlags,
|  | uint32_t | memoryBarrierCount,
|  | const MemoryBarrier * | pMemoryBarriers,
|  | uint32_t | bufferMemoryBarrierCount,
|  | const BufferMemoryBarrier * | pBufferMemoryBarriers,
|  | uint32_t | imageMemoryBarrierCount,
|  | const ImageMemoryBarrier * | pImageMemoryBarriers,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38732 of file vulkan.hpp.

{
d.vkCmdPipelineBarrier( m_commandBuffer, static_cast<VkPipelineStageFlags>( srcStageMask ), static_cast<VkPipelineStageFlags>( dstStageMask ), static_cast<VkDependencyFlags>( dependencyFlags ), memoryBarrierCount, reinterpret_cast<const VkMemoryBarrier*>( pMemoryBarriers ), bufferMemoryBarrierCount, reinterpret_cast<const VkBufferMemoryBarrier*>( pBufferMemoryBarriers ), imageMemoryBarrierCount, reinterpret_cast<const VkImageMemoryBarrier*>( pImageMemoryBarriers ) );
}

References d, and m_commandBuffer.

## pipelineBarrier() [4/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::pipelineBarrier | ( | PipelineStageFlags | srcStageMask,
|  | PipelineStageFlags | dstStageMask,
|  | DependencyFlags | dependencyFlags,
|  | uint32_t | memoryBarrierCount,
|  | const MemoryBarrier * | pMemoryBarriers,
|  | uint32_t | bufferMemoryBarrierCount,
|  | const BufferMemoryBarrier * | pBufferMemoryBarriers,
|  | uint32_t | imageMemoryBarrierCount,
|  | const ImageMemoryBarrier * | pImageMemoryBarriers,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## processCommandsNVX() [1/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::processCommandsNVX | ( | const CmdProcessCommandsInfoNVX & | processCommandsInfo,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38983 of file vulkan.hpp.

{
d.vkCmdProcessCommandsNVX( m_commandBuffer, reinterpret_cast<const VkCmdProcessCommandsInfoNVX*>( &processCommandsInfo ) );
}

References d, and m_commandBuffer.

## processCommandsNVX() [2/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::processCommandsNVX | ( | const CmdProcessCommandsInfoNVX & | processCommandsInfo,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## processCommandsNVX() [3/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::processCommandsNVX | ( | const CmdProcessCommandsInfoNVX * | pProcessCommandsInfo,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38977 of file vulkan.hpp.

{
d.vkCmdProcessCommandsNVX( m_commandBuffer, reinterpret_cast<const VkCmdProcessCommandsInfoNVX*>( pProcessCommandsInfo ) );
}

References d, and m_commandBuffer.

## processCommandsNVX() [4/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::processCommandsNVX | ( | const CmdProcessCommandsInfoNVX * | pProcessCommandsInfo,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## pushConstants() [1/4]

template<typename T , typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::pushConstants | ( | PipelineLayout | layout,
|  | ShaderStageFlags | stageFlags,
|  | uint32_t | offset,
|  | ArrayProxy< const T > | values,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38848 of file vulkan.hpp.

{
d.vkCmdPushConstants( m_commandBuffer, static_cast<VkPipelineLayout>( layout ), static_cast<VkShaderStageFlags>( stageFlags ), offset, values.size() * sizeof( T ) , reinterpret_cast<const void*>( values.data() ) );
}

References d, m_commandBuffer, and T.

## pushConstants() [2/4]

template<typename T , typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::pushConstants | ( | PipelineLayout | layout,
|  | ShaderStageFlags | stageFlags,
|  | uint32_t | offset,
|  | ArrayProxy< const T > | values,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## pushConstants() [3/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::pushConstants | ( | PipelineLayout | layout,
|  | ShaderStageFlags | stageFlags,
|  | uint32_t | offset,
|  | uint32_t | size,
|  | const void * | pValues,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38842 of file vulkan.hpp.

{
d.vkCmdPushConstants( m_commandBuffer, static_cast<VkPipelineLayout>( layout ), static_cast<VkShaderStageFlags>( stageFlags ), offset, size, pValues );
}

References d, and m_commandBuffer.

## pushConstants() [4/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::pushConstants | ( | PipelineLayout | layout,
|  | ShaderStageFlags | stageFlags,
|  | uint32_t | offset,
|  | uint32_t | size,
|  | const void * | pValues,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## pushDescriptorSetKHR() [1/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::pushDescriptorSetKHR | ( | PipelineBindPoint | pipelineBindPoint,
|  | PipelineLayout | layout,
|  | uint32_t | set,
|  | ArrayProxy< const WriteDescriptorSet > | descriptorWrites,
|  | Dispatch const & | d
| ) |  | const

Definition at line 39009 of file vulkan.hpp.

{
d.vkCmdPushDescriptorSetKHR( m_commandBuffer, static_cast<VkPipelineBindPoint>( pipelineBindPoint ), static_cast<VkPipelineLayout>( layout ), set, descriptorWrites.size() , reinterpret_cast<const VkWriteDescriptorSet*>( descriptorWrites.data() ) );
}

References d, VULKAN_HPP_NAMESPACE::ArrayProxy< T >::data(), m_commandBuffer, and VULKAN_HPP_NAMESPACE::ArrayProxy< T >::size().

## pushDescriptorSetKHR() [2/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::pushDescriptorSetKHR | ( | PipelineBindPoint | pipelineBindPoint,
|  | PipelineLayout | layout,
|  | uint32_t | set,
|  | ArrayProxy< const WriteDescriptorSet > | descriptorWrites,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## pushDescriptorSetKHR() [3/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::pushDescriptorSetKHR | ( | PipelineBindPoint | pipelineBindPoint,
|  | PipelineLayout | layout,
|  | uint32_t | set,
|  | uint32_t | descriptorWriteCount,
|  | const WriteDescriptorSet * | pDescriptorWrites,
|  | Dispatch const & | d
| ) |  | const

Definition at line 39003 of file vulkan.hpp.

{
d.vkCmdPushDescriptorSetKHR( m_commandBuffer, static_cast<VkPipelineBindPoint>( pipelineBindPoint ), static_cast<VkPipelineLayout>( layout ), set, descriptorWriteCount, reinterpret_cast<const VkWriteDescriptorSet*>( pDescriptorWrites ) );
}

References d, and m_commandBuffer.

## pushDescriptorSetKHR() [4/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::pushDescriptorSetKHR | ( | PipelineBindPoint | pipelineBindPoint,
|  | PipelineLayout | layout,
|  | uint32_t | set,
|  | uint32_t | descriptorWriteCount,
|  | const WriteDescriptorSet * | pDescriptorWrites,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## pushDescriptorSetWithTemplateKHR() [1/2]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::pushDescriptorSetWithTemplateKHR | ( | DescriptorUpdateTemplate | descriptorUpdateTemplate,
|  | PipelineLayout | layout,
|  | uint32_t | set,
|  | const void * | pData,
|  | Dispatch const & | d
| ) |  | const

Definition at line 39079 of file vulkan.hpp.

{
d.vkCmdPushDescriptorSetWithTemplateKHR( m_commandBuffer, static_cast<VkDescriptorUpdateTemplate>( descriptorUpdateTemplate ), static_cast<VkPipelineLayout>( layout ), set, pData );
}

References d, and m_commandBuffer.

## pushDescriptorSetWithTemplateKHR() [2/2]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::pushDescriptorSetWithTemplateKHR | ( | DescriptorUpdateTemplate | descriptorUpdateTemplate,
|  | PipelineLayout | layout,
|  | uint32_t | set,
|  | const void * | pData,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## reserveSpaceForCommandsNVX() [1/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::reserveSpaceForCommandsNVX | ( | const CmdReserveSpaceForCommandsInfoNVX & | reserveSpaceInfo,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38996 of file vulkan.hpp.

{
d.vkCmdReserveSpaceForCommandsNVX( m_commandBuffer, reinterpret_cast<const VkCmdReserveSpaceForCommandsInfoNVX*>( &reserveSpaceInfo ) );
}

References d, and m_commandBuffer.

## reserveSpaceForCommandsNVX() [2/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::reserveSpaceForCommandsNVX | ( | const CmdReserveSpaceForCommandsInfoNVX & | reserveSpaceInfo,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## reserveSpaceForCommandsNVX() [3/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::reserveSpaceForCommandsNVX | ( | const CmdReserveSpaceForCommandsInfoNVX * | pReserveSpaceInfo,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38990 of file vulkan.hpp.

{
d.vkCmdReserveSpaceForCommandsNVX( m_commandBuffer, reinterpret_cast<const VkCmdReserveSpaceForCommandsInfoNVX*>( pReserveSpaceInfo ) );
}

References d, and m_commandBuffer.

## reserveSpaceForCommandsNVX() [4/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::reserveSpaceForCommandsNVX | ( | const CmdReserveSpaceForCommandsInfoNVX * | pReserveSpaceInfo,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## reset() [1/2]

template<typename Dispatch >

VULKAN_HPP_INLINE ResultValueType<void>::type VULKAN_HPP_NAMESPACE::CommandBuffer::reset | ( | CommandBufferResetFlags | flags,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38269 of file vulkan.hpp.

{
Result result = static_cast<Result>( d.vkResetCommandBuffer( m_commandBuffer, static_cast<VkCommandBufferResetFlags>( flags ) ) );
return createResultValue( result, VULKAN_HPP_NAMESPACE_STRING"::CommandBuffer::reset" );
}

References VULKAN_HPP_NAMESPACE::createResultValue(), d, m_commandBuffer, and VULKAN_HPP_NAMESPACE_STRING.

## reset() [2/2]

template<typename Dispatch = DispatchLoaderStatic>

ResultValueType<void>::type VULKAN_HPP_NAMESPACE::CommandBuffer::reset | ( | CommandBufferResetFlags | flags,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## resetEvent() [1/2]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::resetEvent | ( | Event | event,
|  | PipelineStageFlags | stageMask,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38712 of file vulkan.hpp.

{
d.vkCmdResetEvent( m_commandBuffer, static_cast<VkEvent>( event ), static_cast<VkPipelineStageFlags>( stageMask ) );
}

References d, and m_commandBuffer.

## resetEvent() [2/2]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::resetEvent | ( | Event | event,
|  | PipelineStageFlags | stageMask,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## resetQueryPool() [1/2]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::resetQueryPool | ( | QueryPool | queryPool,
|  | uint32_t | firstQuery,
|  | uint32_t | queryCount,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38807 of file vulkan.hpp.

{
d.vkCmdResetQueryPool( m_commandBuffer, static_cast<VkQueryPool>( queryPool ), firstQuery, queryCount );
}

References d, and m_commandBuffer.

## resetQueryPool() [2/2]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::resetQueryPool | ( | QueryPool | queryPool,
|  | uint32_t | firstQuery,
|  | uint32_t | queryCount,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## resolveImage() [1/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::resolveImage | ( | Image | srcImage,
|  | ImageLayout | srcImageLayout,
|  | Image | dstImage,
|  | ImageLayout | dstImageLayout,
|  | ArrayProxy< const ImageResolve > | regions,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38684 of file vulkan.hpp.

{
d.vkCmdResolveImage( m_commandBuffer, static_cast<VkImage>( srcImage ), static_cast<VkImageLayout>( srcImageLayout ), static_cast<VkImage>( dstImage ), static_cast<VkImageLayout>( dstImageLayout ), regions.size() , reinterpret_cast<const VkImageResolve*>( regions.data() ) );
}

References d, VULKAN_HPP_NAMESPACE::ArrayProxy< T >::data(), m_commandBuffer, and VULKAN_HPP_NAMESPACE::ArrayProxy< T >::size().

## resolveImage() [2/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::resolveImage | ( | Image | srcImage,
|  | ImageLayout | srcImageLayout,
|  | Image | dstImage,
|  | ImageLayout | dstImageLayout,
|  | ArrayProxy< const ImageResolve > | regions,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## resolveImage() [3/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::resolveImage | ( | Image | srcImage,
|  | ImageLayout | srcImageLayout,
|  | Image | dstImage,
|  | ImageLayout | dstImageLayout,
|  | uint32_t | regionCount,
|  | const ImageResolve * | pRegions,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38678 of file vulkan.hpp.

{
d.vkCmdResolveImage( m_commandBuffer, static_cast<VkImage>( srcImage ), static_cast<VkImageLayout>( srcImageLayout ), static_cast<VkImage>( dstImage ), static_cast<VkImageLayout>( dstImageLayout ), regionCount, reinterpret_cast<const VkImageResolve*>( pRegions ) );
}

References d, and m_commandBuffer.

## resolveImage() [4/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::resolveImage | ( | Image | srcImage,
|  | ImageLayout | srcImageLayout,
|  | Image | dstImage,
|  | ImageLayout | dstImageLayout,
|  | uint32_t | regionCount,
|  | const ImageResolve * | pRegions,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## setBlendConstants() [1/2]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::setBlendConstants | ( | const float | blendConstants[4],
|  | Dispatch const & | d
| ) |  | const

Definition at line 38352 of file vulkan.hpp.

{
d.vkCmdSetBlendConstants( m_commandBuffer, blendConstants );
}

References d, and m_commandBuffer.

## setBlendConstants() [2/2]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::setBlendConstants | ( | const float | blendConstants[4],
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## setCheckpointNV() [1/2]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::setCheckpointNV | ( | const void * | pCheckpointMarker,
|  | Dispatch const & | d
| ) |  | const

Definition at line 39253 of file vulkan.hpp.

{
d.vkCmdSetCheckpointNV( m_commandBuffer, pCheckpointMarker );
}

References d, and m_commandBuffer.

## setCheckpointNV() [2/2]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::setCheckpointNV | ( | const void * | pCheckpointMarker,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## setCoarseSampleOrderNV() [1/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::setCoarseSampleOrderNV | ( | CoarseSampleOrderTypeNV | sampleOrderType,
|  | ArrayProxy< const CoarseSampleOrderCustomNV > | customSampleOrders,
|  | Dispatch const & | d
| ) |  | const

Definition at line 39427 of file vulkan.hpp.

{
d.vkCmdSetCoarseSampleOrderNV( m_commandBuffer, static_cast<VkCoarseSampleOrderTypeNV>( sampleOrderType ), customSampleOrders.size() , reinterpret_cast<const VkCoarseSampleOrderCustomNV*>( customSampleOrders.data() ) );
}

References d, VULKAN_HPP_NAMESPACE::ArrayProxy< T >::data(), m_commandBuffer, and VULKAN_HPP_NAMESPACE::ArrayProxy< T >::size().

## setCoarseSampleOrderNV() [2/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::setCoarseSampleOrderNV | ( | CoarseSampleOrderTypeNV | sampleOrderType,
|  | ArrayProxy< const CoarseSampleOrderCustomNV > | customSampleOrders,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## setCoarseSampleOrderNV() [3/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::setCoarseSampleOrderNV | ( | CoarseSampleOrderTypeNV | sampleOrderType,
|  | uint32_t | customSampleOrderCount,
|  | const CoarseSampleOrderCustomNV * | pCustomSampleOrders,
|  | Dispatch const & | d
| ) |  | const

Definition at line 39421 of file vulkan.hpp.

{
d.vkCmdSetCoarseSampleOrderNV( m_commandBuffer, static_cast<VkCoarseSampleOrderTypeNV>( sampleOrderType ), customSampleOrderCount, reinterpret_cast<const VkCoarseSampleOrderCustomNV*>( pCustomSampleOrders ) );
}

References d, and m_commandBuffer.

## setCoarseSampleOrderNV() [4/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::setCoarseSampleOrderNV | ( | CoarseSampleOrderTypeNV | sampleOrderType,
|  | uint32_t | customSampleOrderCount,
|  | const CoarseSampleOrderCustomNV * | pCustomSampleOrders,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## setDepthBias() [1/2]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::setDepthBias | ( | float | depthBiasConstantFactor,
|  | float | depthBiasClamp,
|  | float | depthBiasSlopeFactor,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38338 of file vulkan.hpp.

{
d.vkCmdSetDepthBias( m_commandBuffer, depthBiasConstantFactor, depthBiasClamp, depthBiasSlopeFactor );
}

References d, and m_commandBuffer.

## setDepthBias() [2/2]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::setDepthBias | ( | float | depthBiasConstantFactor,
|  | float | depthBiasClamp,
|  | float | depthBiasSlopeFactor,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## setDepthBounds() [1/2]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::setDepthBounds | ( | float | minDepthBounds,
|  | float | maxDepthBounds,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38366 of file vulkan.hpp.

{
d.vkCmdSetDepthBounds( m_commandBuffer, minDepthBounds, maxDepthBounds );
}

References d, and m_commandBuffer.

## setDepthBounds() [2/2]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::setDepthBounds | ( | float | minDepthBounds,
|  | float | maxDepthBounds,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## setDeviceMask() [1/2]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::setDeviceMask | ( | uint32_t | deviceMask,
|  | Dispatch const & | d
| ) |  | const

Definition at line 39023 of file vulkan.hpp.

{
d.vkCmdSetDeviceMask( m_commandBuffer, deviceMask );
}

References d, and m_commandBuffer.

## setDeviceMask() [2/2]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::setDeviceMask | ( | uint32_t | deviceMask,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## setDeviceMaskKHR() [1/2]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::setDeviceMaskKHR | ( | uint32_t | deviceMask,
|  | Dispatch const & | d
| ) |  | const

Definition at line 39037 of file vulkan.hpp.

{
d.vkCmdSetDeviceMaskKHR( m_commandBuffer, deviceMask );
}

References d, and m_commandBuffer.

## setDeviceMaskKHR() [2/2]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::setDeviceMaskKHR | ( | uint32_t | deviceMask,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## setDiscardRectangleEXT() [1/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::setDiscardRectangleEXT | ( | uint32_t | firstDiscardRectangle,
|  | ArrayProxy< const Rect2D > | discardRectangles,
|  | Dispatch const & | d
| ) |  | const

Definition at line 39105 of file vulkan.hpp.

{
d.vkCmdSetDiscardRectangleEXT( m_commandBuffer, firstDiscardRectangle, discardRectangles.size() , reinterpret_cast<const VkRect2D*>( discardRectangles.data() ) );
}

References d, VULKAN_HPP_NAMESPACE::ArrayProxy< T >::data(), m_commandBuffer, and VULKAN_HPP_NAMESPACE::ArrayProxy< T >::size().

## setDiscardRectangleEXT() [2/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::setDiscardRectangleEXT | ( | uint32_t | firstDiscardRectangle,
|  | ArrayProxy< const Rect2D > | discardRectangles,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## setDiscardRectangleEXT() [3/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::setDiscardRectangleEXT | ( | uint32_t | firstDiscardRectangle,
|  | uint32_t | discardRectangleCount,
|  | const Rect2D * | pDiscardRectangles,
|  | Dispatch const & | d
| ) |  | const

Definition at line 39099 of file vulkan.hpp.

{
d.vkCmdSetDiscardRectangleEXT( m_commandBuffer, firstDiscardRectangle, discardRectangleCount, reinterpret_cast<const VkRect2D*>( pDiscardRectangles ) );
}

References d, and m_commandBuffer.

## setDiscardRectangleEXT() [4/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::setDiscardRectangleEXT | ( | uint32_t | firstDiscardRectangle,
|  | uint32_t | discardRectangleCount,
|  | const Rect2D * | pDiscardRectangles,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## setEvent() [1/2]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::setEvent | ( | Event | event,
|  | PipelineStageFlags | stageMask,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38698 of file vulkan.hpp.

{
d.vkCmdSetEvent( m_commandBuffer, static_cast<VkEvent>( event ), static_cast<VkPipelineStageFlags>( stageMask ) );
}

References d, and m_commandBuffer.

## setEvent() [2/2]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::setEvent | ( | Event | event,
|  | PipelineStageFlags | stageMask,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## setExclusiveScissorNV() [1/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::setExclusiveScissorNV | ( | uint32_t | firstExclusiveScissor,
|  | ArrayProxy< const Rect2D > | exclusiveScissors,
|  | Dispatch const & | d
| ) |  | const

Definition at line 39387 of file vulkan.hpp.

{
d.vkCmdSetExclusiveScissorNV( m_commandBuffer, firstExclusiveScissor, exclusiveScissors.size() , reinterpret_cast<const VkRect2D*>( exclusiveScissors.data() ) );
}

References d, VULKAN_HPP_NAMESPACE::ArrayProxy< T >::data(), m_commandBuffer, and VULKAN_HPP_NAMESPACE::ArrayProxy< T >::size().

## setExclusiveScissorNV() [2/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::setExclusiveScissorNV | ( | uint32_t | firstExclusiveScissor,
|  | ArrayProxy< const Rect2D > | exclusiveScissors,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## setExclusiveScissorNV() [3/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::setExclusiveScissorNV | ( | uint32_t | firstExclusiveScissor,
|  | uint32_t | exclusiveScissorCount,
|  | const Rect2D * | pExclusiveScissors,
|  | Dispatch const & | d
| ) |  | const

Definition at line 39381 of file vulkan.hpp.

{
d.vkCmdSetExclusiveScissorNV( m_commandBuffer, firstExclusiveScissor, exclusiveScissorCount, reinterpret_cast<const VkRect2D*>( pExclusiveScissors ) );
}

References d, and m_commandBuffer.

## setExclusiveScissorNV() [4/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::setExclusiveScissorNV | ( | uint32_t | firstExclusiveScissor,
|  | uint32_t | exclusiveScissorCount,
|  | const Rect2D * | pExclusiveScissors,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## setLineWidth() [1/2]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::setLineWidth | ( | float | lineWidth,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38324 of file vulkan.hpp.

{
d.vkCmdSetLineWidth( m_commandBuffer, lineWidth );
}

References d, and m_commandBuffer.

## setLineWidth() [2/2]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::setLineWidth | ( | float | lineWidth,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## setSampleLocationsEXT() [1/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::setSampleLocationsEXT | ( | const SampleLocationsInfoEXT & | sampleLocationsInfo,
|  | Dispatch const & | d
| ) |  | const

Definition at line 39118 of file vulkan.hpp.

{
d.vkCmdSetSampleLocationsEXT( m_commandBuffer, reinterpret_cast<const VkSampleLocationsInfoEXT*>( &sampleLocationsInfo ) );
}

References d, and m_commandBuffer.

## setSampleLocationsEXT() [2/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::setSampleLocationsEXT | ( | const SampleLocationsInfoEXT & | sampleLocationsInfo,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## setSampleLocationsEXT() [3/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::setSampleLocationsEXT | ( | const SampleLocationsInfoEXT * | pSampleLocationsInfo,
|  | Dispatch const & | d
| ) |  | const

Definition at line 39112 of file vulkan.hpp.

{
d.vkCmdSetSampleLocationsEXT( m_commandBuffer, reinterpret_cast<const VkSampleLocationsInfoEXT*>( pSampleLocationsInfo ) );
}

References d, and m_commandBuffer.

## setSampleLocationsEXT() [4/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::setSampleLocationsEXT | ( | const SampleLocationsInfoEXT * | pSampleLocationsInfo,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## setScissor() [1/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::setScissor | ( | uint32_t | firstScissor,
|  | ArrayProxy< const Rect2D > | scissors,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38310 of file vulkan.hpp.

{
d.vkCmdSetScissor( m_commandBuffer, firstScissor, scissors.size() , reinterpret_cast<const VkRect2D*>( scissors.data() ) );
}

References d, VULKAN_HPP_NAMESPACE::ArrayProxy< T >::data(), m_commandBuffer, and VULKAN_HPP_NAMESPACE::ArrayProxy< T >::size().

## setScissor() [2/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::setScissor | ( | uint32_t | firstScissor,
|  | ArrayProxy< const Rect2D > | scissors,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## setScissor() [3/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::setScissor | ( | uint32_t | firstScissor,
|  | uint32_t | scissorCount,
|  | const Rect2D * | pScissors,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38304 of file vulkan.hpp.

{
d.vkCmdSetScissor( m_commandBuffer, firstScissor, scissorCount, reinterpret_cast<const VkRect2D*>( pScissors ) );
}

References d, and m_commandBuffer.

## setScissor() [4/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::setScissor | ( | uint32_t | firstScissor,
|  | uint32_t | scissorCount,
|  | const Rect2D * | pScissors,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## setStencilCompareMask() [1/2]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::setStencilCompareMask | ( | StencilFaceFlags | faceMask,
|  | uint32_t | compareMask,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38380 of file vulkan.hpp.

{
d.vkCmdSetStencilCompareMask( m_commandBuffer, static_cast<VkStencilFaceFlags>( faceMask ), compareMask );
}

References d, and m_commandBuffer.

## setStencilCompareMask() [2/2]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::setStencilCompareMask | ( | StencilFaceFlags | faceMask,
|  | uint32_t | compareMask,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## setStencilReference() [1/2]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::setStencilReference | ( | StencilFaceFlags | faceMask,
|  | uint32_t | reference,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38408 of file vulkan.hpp.

{
d.vkCmdSetStencilReference( m_commandBuffer, static_cast<VkStencilFaceFlags>( faceMask ), reference );
}

References d, and m_commandBuffer.

## setStencilReference() [2/2]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::setStencilReference | ( | StencilFaceFlags | faceMask,
|  | uint32_t | reference,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## setStencilWriteMask() [1/2]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::setStencilWriteMask | ( | StencilFaceFlags | faceMask,
|  | uint32_t | writeMask,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38394 of file vulkan.hpp.

{
d.vkCmdSetStencilWriteMask( m_commandBuffer, static_cast<VkStencilFaceFlags>( faceMask ), writeMask );
}

References d, and m_commandBuffer.

## setStencilWriteMask() [2/2]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::setStencilWriteMask | ( | StencilFaceFlags | faceMask,
|  | uint32_t | writeMask,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## setViewport() [1/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::setViewport | ( | uint32_t | firstViewport,
|  | ArrayProxy< const Viewport > | viewports,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38297 of file vulkan.hpp.

{
d.vkCmdSetViewport( m_commandBuffer, firstViewport, viewports.size() , reinterpret_cast<const VkViewport*>( viewports.data() ) );
}

References d, VULKAN_HPP_NAMESPACE::ArrayProxy< T >::data(), m_commandBuffer, and VULKAN_HPP_NAMESPACE::ArrayProxy< T >::size().

## setViewport() [2/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::setViewport | ( | uint32_t | firstViewport,
|  | ArrayProxy< const Viewport > | viewports,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## setViewport() [3/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::setViewport | ( | uint32_t | firstViewport,
|  | uint32_t | viewportCount,
|  | const Viewport * | pViewports,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38291 of file vulkan.hpp.

{
d.vkCmdSetViewport( m_commandBuffer, firstViewport, viewportCount, reinterpret_cast<const VkViewport*>( pViewports ) );
}

References d, and m_commandBuffer.

## setViewport() [4/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::setViewport | ( | uint32_t | firstViewport,
|  | uint32_t | viewportCount,
|  | const Viewport * | pViewports,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## setViewportShadingRatePaletteNV() [1/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::setViewportShadingRatePaletteNV | ( | uint32_t | firstViewport,
|  | ArrayProxy< const ShadingRatePaletteNV > | shadingRatePalettes,
|  | Dispatch const & | d
| ) |  | const

Definition at line 39414 of file vulkan.hpp.

{
d.vkCmdSetViewportShadingRatePaletteNV( m_commandBuffer, firstViewport, shadingRatePalettes.size() , reinterpret_cast<const VkShadingRatePaletteNV*>( shadingRatePalettes.data() ) );
}

References d, VULKAN_HPP_NAMESPACE::ArrayProxy< T >::data(), m_commandBuffer, and VULKAN_HPP_NAMESPACE::ArrayProxy< T >::size().

## setViewportShadingRatePaletteNV() [2/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::setViewportShadingRatePaletteNV | ( | uint32_t | firstViewport,
|  | ArrayProxy< const ShadingRatePaletteNV > | shadingRatePalettes,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## setViewportShadingRatePaletteNV() [3/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::setViewportShadingRatePaletteNV | ( | uint32_t | firstViewport,
|  | uint32_t | viewportCount,
|  | const ShadingRatePaletteNV * | pShadingRatePalettes,
|  | Dispatch const & | d
| ) |  | const

Definition at line 39408 of file vulkan.hpp.

{
d.vkCmdSetViewportShadingRatePaletteNV( m_commandBuffer, firstViewport, viewportCount, reinterpret_cast<const VkShadingRatePaletteNV*>( pShadingRatePalettes ) );
}

References d, and m_commandBuffer.

## setViewportShadingRatePaletteNV() [4/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::setViewportShadingRatePaletteNV | ( | uint32_t | firstViewport,
|  | uint32_t | viewportCount,
|  | const ShadingRatePaletteNV * | pShadingRatePalettes,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## setViewportWScalingNV() [1/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::setViewportWScalingNV | ( | uint32_t | firstViewport,
|  | ArrayProxy< const ViewportWScalingNV > | viewportWScalings,
|  | Dispatch const & | d
| ) |  | const

Definition at line 39092 of file vulkan.hpp.

{
d.vkCmdSetViewportWScalingNV( m_commandBuffer, firstViewport, viewportWScalings.size() , reinterpret_cast<const VkViewportWScalingNV*>( viewportWScalings.data() ) );
}

References d, VULKAN_HPP_NAMESPACE::ArrayProxy< T >::data(), m_commandBuffer, and VULKAN_HPP_NAMESPACE::ArrayProxy< T >::size().

## setViewportWScalingNV() [2/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::setViewportWScalingNV | ( | uint32_t | firstViewport,
|  | ArrayProxy< const ViewportWScalingNV > | viewportWScalings,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## setViewportWScalingNV() [3/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::setViewportWScalingNV | ( | uint32_t | firstViewport,
|  | uint32_t | viewportCount,
|  | const ViewportWScalingNV * | pViewportWScalings,
|  | Dispatch const & | d
| ) |  | const

Definition at line 39086 of file vulkan.hpp.

{
d.vkCmdSetViewportWScalingNV( m_commandBuffer, firstViewport, viewportCount, reinterpret_cast<const VkViewportWScalingNV*>( pViewportWScalings ) );
}

References d, and m_commandBuffer.

## setViewportWScalingNV() [4/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::setViewportWScalingNV | ( | uint32_t | firstViewport,
|  | uint32_t | viewportCount,
|  | const ViewportWScalingNV * | pViewportWScalings,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## traceRaysNV() [1/2]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::traceRaysNV | ( | Buffer | raygenShaderBindingTableBuffer,
|  | DeviceSize | raygenShaderBindingOffset,
|  | Buffer | missShaderBindingTableBuffer,
|  | DeviceSize | missShaderBindingOffset,
|  | DeviceSize | missShaderBindingStride,
|  | Buffer | hitShaderBindingTableBuffer,
|  | DeviceSize | hitShaderBindingOffset,
|  | DeviceSize | hitShaderBindingStride,
|  | Buffer | callableShaderBindingTableBuffer,
|  | DeviceSize | callableShaderBindingOffset,
|  | DeviceSize | callableShaderBindingStride,
|  | uint32_t | width,
|  | uint32_t | height,
|  | uint32_t | depth,
|  | Dispatch const & | d
| ) |  | const

Definition at line 39523 of file vulkan.hpp.

{
d.vkCmdTraceRaysNV( m_commandBuffer, static_cast<VkBuffer>( raygenShaderBindingTableBuffer ), raygenShaderBindingOffset, static_cast<VkBuffer>( missShaderBindingTableBuffer ), missShaderBindingOffset, missShaderBindingStride, static_cast<VkBuffer>( hitShaderBindingTableBuffer ), hitShaderBindingOffset, hitShaderBindingStride, static_cast<VkBuffer>( callableShaderBindingTableBuffer ), callableShaderBindingOffset, callableShaderBindingStride, width, height, depth );
}

References d, and m_commandBuffer.

## traceRaysNV() [2/2]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::traceRaysNV | ( | Buffer | raygenShaderBindingTableBuffer,
|  | DeviceSize | raygenShaderBindingOffset,
|  | Buffer | missShaderBindingTableBuffer,
|  | DeviceSize | missShaderBindingOffset,
|  | DeviceSize | missShaderBindingStride,
|  | Buffer | hitShaderBindingTableBuffer,
|  | DeviceSize | hitShaderBindingOffset,
|  | DeviceSize | hitShaderBindingStride,
|  | Buffer | callableShaderBindingTableBuffer,
|  | DeviceSize | callableShaderBindingOffset,
|  | DeviceSize | callableShaderBindingStride,
|  | uint32_t | width,
|  | uint32_t | height,
|  | uint32_t | depth,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## updateBuffer() [1/4]

template<typename T , typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::updateBuffer | ( | Buffer | dstBuffer,
|  | DeviceSize | dstOffset,
|  | ArrayProxy< const T > | data,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38618 of file vulkan.hpp.

{
d.vkCmdUpdateBuffer( m_commandBuffer, static_cast<VkBuffer>( dstBuffer ), dstOffset, data.size() * sizeof( T ) , reinterpret_cast<const void*>( data.data() ) );
}

References d, m_commandBuffer, and T.

## updateBuffer() [2/4]

template<typename T , typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::updateBuffer | ( | Buffer | dstBuffer,
|  | DeviceSize | dstOffset,
|  | ArrayProxy< const T > | data,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## updateBuffer() [3/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::updateBuffer | ( | Buffer | dstBuffer,
|  | DeviceSize | dstOffset,
|  | DeviceSize | dataSize,
|  | const void * | pData,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38612 of file vulkan.hpp.

{
d.vkCmdUpdateBuffer( m_commandBuffer, static_cast<VkBuffer>( dstBuffer ), dstOffset, dataSize, pData );
}

References d, and m_commandBuffer.

## updateBuffer() [4/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::updateBuffer | ( | Buffer | dstBuffer,
|  | DeviceSize | dstOffset,
|  | DeviceSize | dataSize,
|  | const void * | pData,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## waitEvents() [1/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::waitEvents | ( | ArrayProxy< const Event > | events,
|  | PipelineStageFlags | srcStageMask,
|  | PipelineStageFlags | dstStageMask,
|  | ArrayProxy< const MemoryBarrier > | memoryBarriers,
|  | ArrayProxy< const BufferMemoryBarrier > | bufferMemoryBarriers,
|  | ArrayProxy< const ImageMemoryBarrier > | imageMemoryBarriers,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38725 of file vulkan.hpp.

{
d.vkCmdWaitEvents( m_commandBuffer, events.size() , reinterpret_cast<const VkEvent*>( events.data() ), static_cast<VkPipelineStageFlags>( srcStageMask ), static_cast<VkPipelineStageFlags>( dstStageMask ), memoryBarriers.size() , reinterpret_cast<const VkMemoryBarrier*>( memoryBarriers.data() ), bufferMemoryBarriers.size() , reinterpret_cast<const VkBufferMemoryBarrier*>( bufferMemoryBarriers.data() ), imageMemoryBarriers.size() , reinterpret_cast<const VkImageMemoryBarrier*>( imageMemoryBarriers.data() ) );
}

References d, VULKAN_HPP_NAMESPACE::ArrayProxy< T >::data(), events, m_commandBuffer, and VULKAN_HPP_NAMESPACE::ArrayProxy< T >::size().

## waitEvents() [2/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::waitEvents | ( | ArrayProxy< const Event > | events,
|  | PipelineStageFlags | srcStageMask,
|  | PipelineStageFlags | dstStageMask,
|  | ArrayProxy< const MemoryBarrier > | memoryBarriers,
|  | ArrayProxy< const BufferMemoryBarrier > | bufferMemoryBarriers,
|  | ArrayProxy< const ImageMemoryBarrier > | imageMemoryBarriers,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## waitEvents() [3/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::waitEvents | ( | uint32_t | eventCount,
|  | const Event * | pEvents,
|  | PipelineStageFlags | srcStageMask,
|  | PipelineStageFlags | dstStageMask,
|  | uint32_t | memoryBarrierCount,
|  | const MemoryBarrier * | pMemoryBarriers,
|  | uint32_t | bufferMemoryBarrierCount,
|  | const BufferMemoryBarrier * | pBufferMemoryBarriers,
|  | uint32_t | imageMemoryBarrierCount,
|  | const ImageMemoryBarrier * | pImageMemoryBarriers,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38719 of file vulkan.hpp.

{
d.vkCmdWaitEvents( m_commandBuffer, eventCount, reinterpret_cast<const VkEvent*>( pEvents ), static_cast<VkPipelineStageFlags>( srcStageMask ), static_cast<VkPipelineStageFlags>( dstStageMask ), memoryBarrierCount, reinterpret_cast<const VkMemoryBarrier*>( pMemoryBarriers ), bufferMemoryBarrierCount, reinterpret_cast<const VkBufferMemoryBarrier*>( pBufferMemoryBarriers ), imageMemoryBarrierCount, reinterpret_cast<const VkImageMemoryBarrier*>( pImageMemoryBarriers ) );
}

References d, and m_commandBuffer.

## waitEvents() [4/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::waitEvents | ( | uint32_t | eventCount,
|  | const Event * | pEvents,
|  | PipelineStageFlags | srcStageMask,
|  | PipelineStageFlags | dstStageMask,
|  | uint32_t | memoryBarrierCount,
|  | const MemoryBarrier * | pMemoryBarriers,
|  | uint32_t | bufferMemoryBarrierCount,
|  | const BufferMemoryBarrier * | pBufferMemoryBarriers,
|  | uint32_t | imageMemoryBarrierCount,
|  | const ImageMemoryBarrier * | pImageMemoryBarriers,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## writeAccelerationStructuresPropertiesNV() [1/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::writeAccelerationStructuresPropertiesNV | ( | ArrayProxy< const AccelerationStructureNV > | accelerationStructures,
|  | QueryType | queryType,
|  | QueryPool | queryPool,
|  | uint32_t | firstQuery,
|  | Dispatch const & | d
| ) |  | const

Definition at line 39496 of file vulkan.hpp.

{
d.vkCmdWriteAccelerationStructuresPropertiesNV( m_commandBuffer, accelerationStructures.size() , reinterpret_cast<const VkAccelerationStructureNV*>( accelerationStructures.data() ), static_cast<VkQueryType>( queryType ), static_cast<VkQueryPool>( queryPool ), firstQuery );
}

References d, VULKAN_HPP_NAMESPACE::ArrayProxy< T >::data(), m_commandBuffer, and VULKAN_HPP_NAMESPACE::ArrayProxy< T >::size().

## writeAccelerationStructuresPropertiesNV() [2/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::writeAccelerationStructuresPropertiesNV | ( | ArrayProxy< const AccelerationStructureNV > | accelerationStructures,
|  | QueryType | queryType,
|  | QueryPool | queryPool,
|  | uint32_t | firstQuery,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## writeAccelerationStructuresPropertiesNV() [3/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::writeAccelerationStructuresPropertiesNV | ( | uint32_t | accelerationStructureCount,
|  | const AccelerationStructureNV * | pAccelerationStructures,
|  | QueryType | queryType,
|  | QueryPool | queryPool,
|  | uint32_t | firstQuery,
|  | Dispatch const & | d
| ) |  | const

Definition at line 39490 of file vulkan.hpp.

{
d.vkCmdWriteAccelerationStructuresPropertiesNV( m_commandBuffer, accelerationStructureCount, reinterpret_cast<const VkAccelerationStructureNV*>( pAccelerationStructures ), static_cast<VkQueryType>( queryType ), static_cast<VkQueryPool>( queryPool ), firstQuery );
}

References d, and m_commandBuffer.

## writeAccelerationStructuresPropertiesNV() [4/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::writeAccelerationStructuresPropertiesNV | ( | uint32_t | accelerationStructureCount,
|  | const AccelerationStructureNV * | pAccelerationStructures,
|  | QueryType | queryType,
|  | QueryPool | queryPool,
|  | uint32_t | firstQuery,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## writeBufferMarkerAMD() [1/2]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::writeBufferMarkerAMD | ( | PipelineStageFlagBits | pipelineStage,
|  | Buffer | dstBuffer,
|  | DeviceSize | dstOffset,
|  | uint32_t | marker,
|  | Dispatch const & | d
| ) |  | const

Definition at line 39172 of file vulkan.hpp.

{
d.vkCmdWriteBufferMarkerAMD( m_commandBuffer, static_cast<VkPipelineStageFlagBits>( pipelineStage ), static_cast<VkBuffer>( dstBuffer ), dstOffset, marker );
}

References d, and m_commandBuffer.

## writeBufferMarkerAMD() [2/2]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::writeBufferMarkerAMD | ( | PipelineStageFlagBits | pipelineStage,
|  | Buffer | dstBuffer,
|  | DeviceSize | dstOffset,
|  | uint32_t | marker,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## writeTimestamp() [1/2]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::CommandBuffer::writeTimestamp | ( | PipelineStageFlagBits | pipelineStage,
|  | QueryPool | queryPool,
|  | uint32_t | query,
|  | Dispatch const & | d
| ) |  | const

Definition at line 38821 of file vulkan.hpp.

{
d.vkCmdWriteTimestamp( m_commandBuffer, static_cast<VkPipelineStageFlagBits>( pipelineStage ), static_cast<VkQueryPool>( queryPool ), query );
}

References d, and m_commandBuffer.

## writeTimestamp() [2/2]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::CommandBuffer::writeTimestamp | ( | PipelineStageFlagBits | pipelineStage,
|  | QueryPool | queryPool,
|  | uint32_t | query,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## Field Documentation

## m_commandBuffer

VkCommandBuffer VULKAN_HPP_NAMESPACE::CommandBuffer::m_commandBuffer

private

Definition at line 38227 of file vulkan.hpp.

Referenced by begin(), beginConditionalRenderingEXT(), beginDebugUtilsLabelEXT(), beginQuery(), beginQueryIndexedEXT(), beginRenderPass(), beginRenderPass2KHR(), beginTransformFeedbackEXT(), bindDescriptorSets(), bindIndexBuffer(), bindPipeline(), bindShadingRateImageNV(), bindTransformFeedbackBuffersEXT(), bindVertexBuffers(), blitImage(), buildAccelerationStructureNV(), clearAttachments(), clearColorImage(), clearDepthStencilImage(), copyAccelerationStructureNV(), copyBuffer(), copyBufferToImage(), copyImage(), copyImageToBuffer(), copyQueryPoolResults(), debugMarkerBeginEXT(), debugMarkerEndEXT(), debugMarkerInsertEXT(), dispatch(), dispatchBase(), dispatchBaseKHR(), dispatchIndirect(), draw(), drawIndexed(), drawIndexedIndirect(), drawIndexedIndirectCountAMD(), drawIndexedIndirectCountKHR(), drawIndirect(), drawIndirectByteCountEXT(), drawIndirectCountAMD(), drawIndirectCountKHR(), drawMeshTasksIndirectCountNV(), drawMeshTasksIndirectNV(), drawMeshTasksNV(), end(), endConditionalRenderingEXT(), endDebugUtilsLabelEXT(), endQuery(), endQueryIndexedEXT(), endRenderPass(), endRenderPass2KHR(), endTransformFeedbackEXT(), executeCommands(), fillBuffer(), insertDebugUtilsLabelEXT(), nextSubpass(), nextSubpass2KHR(), operator bool(), operator VkCommandBuffer(), operator!(), operator!=(), operator<(), operator=(), operator==(), pipelineBarrier(), processCommandsNVX(), pushConstants(), pushDescriptorSetKHR(), pushDescriptorSetWithTemplateKHR(), reserveSpaceForCommandsNVX(), reset(), resetEvent(), resetQueryPool(), resolveImage(), setBlendConstants(), setCheckpointNV(), setCoarseSampleOrderNV(), setDepthBias(), setDepthBounds(), setDeviceMask(), setDeviceMaskKHR(), setDiscardRectangleEXT(), setEvent(), setExclusiveScissorNV(), setLineWidth(), setSampleLocationsEXT(), setScissor(), setStencilCompareMask(), setStencilReference(), setStencilWriteMask(), setViewport(), setViewportShadingRatePaletteNV(), setViewportWScalingNV(), traceRaysNV(), updateBuffer(), waitEvents(), writeAccelerationStructuresPropertiesNV(), writeBufferMarkerAMD(), and writeTimestamp().

The documentation for this class was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VkClearRect
Definition: vulkan_core.h:2762
VkPipelineStageFlagBits
VkPipelineStageFlagBits
Definition: vulkan_core.h:1427
image
GLeglImageOES image
Definition: SDL_opengl.h:2148
offset
GLintptr offset
Definition: SDL_opengl_glext.h:538
VkCommandBufferResetFlags
VkFlags VkCommandBufferResetFlags
Definition: vulkan_core.h:1724
width
GLint GLint GLsizei width
Definition: SDL_opengl.h:1572
drawCount
const void GLsizei drawCount
Definition: SDL_opengl_glext.h:8412
VkClearAttachment
Definition: vulkan_core.h:2756
VkImageMemoryBarrier
Definition: vulkan_core.h:2795
mode
GLenum mode
Definition: SDL_opengl_glext.h:1122
set
EGLSetBlobFuncANDROID set
Definition: eglext.h:470
VkCopyAccelerationStructureModeNV
VkCopyAccelerationStructureModeNV
Definition: vulkan_core.h:8152
VkDebugMarkerMarkerInfoEXT
Definition: vulkan_core.h:6322
VkBufferMemoryBarrier
Definition: vulkan_core.h:2783
VkSubpassContents
VkSubpassContents
Definition: vulkan_core.h:1234
VkSampleLocationsInfoEXT
Definition: vulkan_core.h:7629
VkImageSubresourceRange
Definition: vulkan_core.h:2249
VkShaderStageFlags
VkFlags VkShaderStageFlags
Definition: vulkan_core.h:1617
VkImageBlit
Definition: vulkan_core.h:2724
VkCmdReserveSpaceForCommandsInfoNVX
Definition: vulkan_core.h:6861
index
GLuint index
Definition: SDL_opengl_glext.h:660
counterOffset
GLuint GLuint GLchar GLuint GLchar GLuint * counterOffset
Definition: SDL_opengl_glext.h:8289
VkImageResolve
Definition: vulkan_core.h:2768
result
GLuint64EXT * result
Definition: SDL_opengl_glext.h:9432
VkConditionalRenderingBeginInfoEXT
Definition: vulkan_core.h:6722
data
GLint GLenum GLsizei GLsizei GLsizei GLint GLsizei const GLvoid * data
Definition: SDL_opengl.h:1974
VkBufferImageCopy
Definition: vulkan_core.h:2731
filter
GLint GLint GLint GLint GLint GLint GLint GLbitfield GLenum filter
Definition: SDL_opengl_glext.h:1184
reference
GLint reference
Definition: SDL_opengl_glext.h:9174
dst
GLenum GLenum dst
Definition: SDL_opengl_glext.h:1737
values
GLenum GLsizei GLsizei GLint * values
Definition: SDL_opengl_glext.h:1486
VkDependencyFlags
VkFlags VkDependencyFlags
Definition: vulkan_core.h:1690
VkDebugUtilsLabelEXT
Definition: vulkan_core.h:7434
VkBufferCopy
Definition: vulkan_core.h:2703
event
struct _cl_event * event
Definition: SDL_opengl_glext.h:2649
buffer
GLuint buffer
Definition: SDL_opengl_glext.h:533
VK_NULL_HANDLE
#define VK_NULL_HANDLE
Definition: vulkan_core.h:49
VkClearColorValue
Definition: vulkan_core.h:2740
VkPipelineBindPoint
VkPipelineBindPoint
Definition: vulkan_core.h:1205
color
GLuint color
Definition: SDL_opengl_glext.h:1148
VkShadingRatePaletteNV
Definition: vulkan_core.h:8043
VkCmdProcessCommandsInfoNVX
Definition: vulkan_core.h:6846
marker
const GLchar * marker
Definition: SDL_opengl_glext.h:6067
VkCoarseSampleOrderTypeNV
VkCoarseSampleOrderTypeNV
Definition: vulkan_core.h:8032
height
GLint GLint GLsizei GLsizei height
Definition: SDL_opengl.h:1572
VULKAN_HPP_NAMESPACE::Result
Result
Definition: vulkan.hpp:601
VkViewport
Definition: vulkan_core.h:2345
VkPipelineStageFlags
VkFlags VkPipelineStageFlags
Definition: vulkan_core.h:1455
VkQueryResultFlags
VkFlags VkQueryResultFlags
Definition: vulkan_core.h:1523
attachments
GLsizei const GLenum * attachments
Definition: SDL_opengl_glext.h:2458
VULKAN_HPP_NAMESPACE::createResultValue
VULKAN_HPP_INLINE ResultValueType< void >::type createResultValue(Result result, char const *message)
Definition: vulkan.hpp:1022
VULKAN_HPP_ASSERT
#define VULKAN_HPP_ASSERT
Definition: vulkan.hpp:54
VkIndexType
VkIndexType
Definition: vulkan_core.h:1224
depth
GLint GLint GLsizei GLsizei GLsizei depth
Definition: SDL_opengl.h:1572
query
GLenum query
Definition: SDL_opengl_glext.h:3480
size
GLsizeiptr size
Definition: SDL_opengl_glext.h:537
VkRenderPassBeginInfo
Definition: vulkan_core.h:2808
VULKAN_HPP_NAMESPACE_STRING
#define VULKAN_HPP_NAMESPACE_STRING
Definition: vulkan.hpp:135
sizes
GLuint GLsizei const GLuint const GLintptr const GLsizeiptr * sizes
Definition: SDL_opengl_glext.h:2561
VkClearDepthStencilValue
Definition: vulkan_core.h:2746
VkQueryType
VkQueryType
Definition: vulkan_core.h:844
VkViewportWScalingNV
Definition: vulkan_core.h:6987
VkStencilFaceFlags
VkFlags VkStencilFaceFlags
Definition: vulkan_core.h:1732
VkSubpassEndInfoKHR
Definition: vulkan_core.h:5621
VkMemoryBarrier
Definition: vulkan_core.h:2776
VkCommandBufferBeginInfo
Definition: vulkan_core.h:2696
src
GLenum src
Definition: SDL_opengl_glext.h:1737
events
static SDL_Event events[EVENT_BUF_SIZE]
Definition: testgesture.c:39
VkQueryControlFlags
VkFlags VkQueryControlFlags
Definition: vulkan_core.h:1718
VkCoarseSampleOrderCustomNV
Definition: vulkan_core.h:8077
VkWriteDescriptorSet
Definition: vulkan_core.h:2581
VkRect2D
Definition: vulkan_core.h:2364
stride
GLsizei stride
Definition: SDL_opengl_glext.h:378
buffers
const GLuint * buffers
Definition: SDL_opengl_glext.h:534
VkBufferMemoryBarrier::size
VkDeviceSize size
Definition: vulkan_core.h:2792
VkAccelerationStructureInfoNV
Definition: vulkan_core.h:8260
VkFilter
VkFilter
Definition: vulkan_core.h:1122
T
static const double T[]
Definition: k_tan.c:53
flags
GLbitfield flags
Definition: SDL_opengl_glext.h:1480
dataSize
GLenum GLsizei dataSize
Definition: SDL_opengl_glext.h:4999
VULKAN_HPP_NAMESPACE::CommandBuffer::m_commandBuffer
VkCommandBuffer m_commandBuffer
Definition: vulkan.hpp:38227
rects
EGLSurface EGLint * rects
Definition: eglext.h:282
offsets
GLuint GLsizei const GLuint const GLintptr * offsets
Definition: SDL_opengl_glext.h:2561
VkSubpassBeginInfoKHR
Definition: vulkan_core.h:5615
VkImageCopy
Definition: vulkan_core.h:2716
VkImageLayout
VkImageLayout
Definition: vulkan_core.h:865
d
const SDL_PRINTF_FORMAT_STRING char int const SDL_PRINTF_FORMAT_STRING char int const SDL_PRINTF_FORMAT_STRING char int const SDL_PRINTF_FORMAT_STRING char const char const SDL_SCANF_FORMAT_STRING char return SDL_ThreadFunction const char void return Uint32 return Uint32 SDL_AssertionHandler void SDL_SpinLock SDL_atomic_t int int return SDL_atomic_t return void void void return void return int return SDL_AudioSpec SDL_AudioSpec return int int return return int SDL_RWops int SDL_AudioSpec Uint8 ** d
Definition: SDL_dynapi_procs.h:117